"use strict";
var ajaxurl = dirlist_data.ajaxurl;
var loader_image = dirlist_data.loading_image;
var paged =1;
jQuery(window).on('load',function(){
	if (jQuery("#data-all1")[0]){
		jQuery('#data-all1').show();
		var oTable = jQuery('#data-all1').dataTable({
			"language": {
				"sProcessing": 		dirlist_data.sProcessing ,
				"sSearch": 			dirlist_data.sSearch ,
				"lengthMenu":		dirlist_data.lengthMenu ,
				"zeroRecords": 		dirlist_data.zeroRecords,
				"info": 			dirlist_data.info,
				"infoEmpty": 		dirlist_data.infoEmpty,
				"infoFiltered":		dirlist_data.infoFiltered ,				
				"oPaginate": {
					"sFirst":   	dirlist_data.sFirst,
					"sLast":    	dirlist_data.sLast,
					"sNext":   		dirlist_data.sNext ,
					"sPrevious":	dirlist_data.sPrevious,
				},
			},
		
		});
		oTable.fnSort( [ [1,'DESC'] ] );
	}
});
function send_message_iv(){
	var formc = jQuery("#message-pop");
	if (jQuery.trim(jQuery("#message-content",formc).val()) == "") {
		alert("Please put your message");
		} else {		
		jQuery('#update_message_popup').html(loader_image);
		var search_params={
			"action"  : 	"iv_directories_message_send",
			"form_data":	jQuery("#message-pop").serialize(),
			"_wpnonce":  	dirlist_data.contact,
		};
		jQuery.ajax({
			url : ajaxurl,
			dataType : "json",
			type : "post",
			data : search_params,
			success : function(response){
				jQuery('#update_message_popup').html(response.msg );
				jQuery("#message-pop").trigger('reset');
			}
		});
	}
}
function send_message_claim(){
	var isLogged =dirlist_data.current_user_id;
	var formc = jQuery("#message-claim");
	  if (isLogged=="0") {
				alert(dirlist_data.Please_login);
			} else {
			if (jQuery.trim(jQuery("#email_address",formc).val()) == "" || jQuery.trim(jQuery("#subject",formc).val()) == "" || jQuery.trim(jQuery("#message-content",formc).val()) == "") {
				
				alert(dirlist_data.Please_put_your_message);
				} else {
				var ajaxurl = dirlist_data.ajaxurl;
				var loader_image = dirlist_data.loading_image;
				jQuery('#update_message_claim').html(loader_image);
				var search_params={
					"action"  : 	"iv_directories_claim_send",
					"form_data":	jQuery("#message-claim").serialize(),
					"_wpnonce":  	dirlist_data.contact,
				};
				jQuery.ajax({
					url : ajaxurl,
					dataType : "json",
					type : "post",
					data : search_params,
					success : function(response){
						jQuery('#update_message_claim').html('   '+response.msg );
						jQuery("#message-claim").trigger('reset');
					}
				});
					
			}
	  }		
}
function save_favorite(id) {
	var isLogged =dirlist_data.current_user_id;
	if (isLogged=="0") {
		alert(dirlist_data.Please_login);
		} else {
		var ajaxurl = dirlist_data.ajaxurl;
		var search_params={
			"action"  : 	"iv_directories_save_favorite",
			"data": "id=" + id,
			"_wpnonce":  	dirlist_data.contact,
		};
		jQuery.ajax({
			url : ajaxurl,
			dataType : "json",
			type : "post",
			data : search_params,
			success : function(response){
				jQuery("#fav_dir"+id).html('<a style="text-decoration: none;color:#6f9a37;" data-toggle="tooltip" title="'+dirlist_data.Added_to_Favorites+'" href="javascript:;" onclick="save_unfavorite('+id+')" ><i class="fa fa-heart fa-3x"></i></a>');
			}
		});
	}
}
function save_unfavorite(id) {
	var isLogged =dirlist_data.current_user_id;
	if (isLogged=="0") {
		alert(dirlist_data.Please_login);
		} else {
		var ajaxurl = dirlist_data.ajaxurl;
		var search_params={
			"action"  : 	"iv_directories_save_un_favorite",
			"data": "id=" + id,
			"_wpnonce":  	dirlist_data.contact,
		};
		jQuery.ajax({
			url : ajaxurl,
			dataType : "json",
			type : "post",
			data : search_params,
			success : function(response){
				jQuery("#fav_dir"+id).html('<a data-toggle="tooltip" style="text-decoration: none;color:#bdc3c7;"  title="'+dirlist_data.Add_to_Favorites+'>" href="javascript:;" onclick="save_favorite('+id+')" ><i class="fa fa-heart fa-3x "></i></a>');
			}
		});
	}
}
setTimeout(function(){ 
	var slider = jQuery('.cbp-slider');
	slider.find('.cbp-slider-item').addClass('cbp-item');
	slider.cubeportfolio({
		layoutMode: 'slider',
		gridAdjustment: 'responsive',
		mediaQueries: [{
			width: 1,
			cols: 1
		}],
		gapHorizontal: 0,
		gapVertical: 0,
		caption: '',
		auto:dirlist_data.dir_slider_auto,
	});	
	
	
}, 600); 
function isValidEmailAddress(emailAddress) {
	var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&"\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&"\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
	return pattern.test(emailAddress);
}
function save_rating(post_id,rating_text,rating_value) {
	var isLogged = dirlist_data.current_user_id;
	if (isLogged=="0") {
		alert(dirlist_data.Please_login);
		} else {
		var search_params={
			"action"  : 	"iv_directories_save_rating",
			"data": "id=" + post_id+"&rating_text="+rating_text+"&rating_value="+rating_value,
			"_wpnonce":  	dirlist_data.contact,
		};
		jQuery.ajax({
			url : ajaxurl,
			dataType : "json",
			type : "post",
			data : search_params,
			success : function(response){
				var ii=0;
				for(ii=0; ii<=5; ii++){
					jQuery("#"+rating_text+"_"+ii).removeClass("fa-star");
					jQuery("#"+rating_text+"_"+ii).addClass("fa-star-o");
				}
				for(ii=0; ii<=rating_value; ii++){
					jQuery("#"+rating_text+"_"+ii).removeClass("fa-star-o");
					jQuery("#"+rating_text+"_"+ii).removeClass("fa-star");
					jQuery("#"+rating_text+"_"+ii).addClass("fa-star");
				}
			}
		});
	}
}
function iv_submit_review(){	

					if (dirlist_data.current_user_id=="0") {
							 alert(dirlist_data.Please_login);
					} else {
					var form = jQuery("#iv_review_form");
					if (jQuery.trim(jQuery("#review_comment", form).val()) == "") {
						  alert(dirlist_data.comment);
					} else {
					 var ajaxurl = dirlist_data.ajaxurl;
					   var loader_image = dirlist_data.loading_image;
					   jQuery('#rmessage').html(loader_image);
					   var search_params={
						 "action"  :  "iv_directories_save_user_review",
						 "form_data": jQuery("#iv_review_form").serialize(),
						 "_wpnonce":  	dirlist_data.listing,
					   };
					   jQuery.ajax({
						 url : ajaxurl,
						 dataType : "json",
						 type : "post",
						 data : search_params,
						 success : function(response){
						  jQuery('#rmessage').html('<div class="col-sm-7 alert alert-info alert-dismissable"><a class="panel-close close" data-dismiss="alert">x</a>'+response.msg +'.</div>');
						  jQuery("#iv_review_form")[0].reset();


						}
					  });
				}
			}

	}