<?php
	global $wpdb;
	global $current_user;
	$ii=1;
?>
<div class="bootstrap-wrapper">
	<div class="welcome-panel container-fluid">
		<div class="row">
			<div class="col-xs-12" id="submit-button-holder">
				<div class="pull-right"><button class="btn btn-info btn-lg" onclick="return update_profile_fields();"><?php esc_html_e('Update','ivdirectories');?> </button>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Update Profile Setting','ivdirectories');?> <br /><small> &nbsp;</small> </h3>
			</div>
		</div>
		<form id="profile_fields" name="profile_fields" class="form-horizontal" role="form" onsubmit="return false;">
			<div id="success_message">	</div>
			<div class="panel panel-success">
				<div class="panel-heading"><h4> <?php esc_html_e('My Account Menu','ivdirectories');?> </h4></div>
				<div class="panel-body">
					<div class="row ">
						<div class="col-sm-3 ">
							<h4><strong><?php esc_html_e('Menu Title / Label','ivdirectories');?> </strong> </h4>
						</div>
						<div class="col-sm-7">
							<h4><strong><?php esc_html_e('Link','ivdirectories');?> </strong></h4>
						</div>
						<div class="col-sm-2">
							<h4><strong><?php esc_html_e('Action','ivdirectories');?></strong> </h4>
						</div>
					</div>
					<?php
						$profile_page=get_option('_iv_directories_profile_page');
						$page_link= get_permalink( $profile_page);
					?>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('listing Home','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo get_post_type_archive_link( 'directories' ) ; ?>">
								<?php echo get_post_type_archive_link( 'directories' ) ; ?>
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_menu_listinghome' ) ) {
										$account_menu_check= get_option('_iv_directories_menu_listinghome');
									}
								?>
								<input type="checkbox" name="listinghome" id="listinghome" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('Membership Level','ivdirectories');	 ?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=level">
								<?php echo esc_html($page_link); ?>?&profile=level
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_mylevel' ) ) {
										$account_menu_check= get_option('_iv_directories_mylevel');
									}
								?>
								<input type="checkbox" name="mylevel" id="mylevel" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('Account Settings','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=setting">
								<?php echo esc_html($page_link); ?>?&profile=setting
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_menusetting' ) ) {
										$account_menu_check= get_option('_iv_directories_menusetting');
									}
								?>
								<input type="checkbox" name="menusetting" id="menusetting" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('All Listing','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=all-post">
								<?php echo esc_html($page_link); ?>?&profile=all-post
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_menuallpost' ) ) {
										$account_menu_check= get_option('_iv_directories_menuallpost');
									}
								?>
								<input type="checkbox" name="menuallpost" id="menuallpost" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('New listing','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=new-listing">
								<?php echo esc_html($page_link); ?>?&profile=new-listing
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_menunew_listing_listing' ) ) {
										$account_menu_check= get_option('_iv_menunew_listing_listing');
									}
								?>
								<input type="checkbox" name="menunew_listing_listing" id="menunew_listing_listing" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('My Favorites','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=favorites">
								<?php echo esc_html($page_link); ?>?&profile=favorites
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_menufavorites' ) ) {
										$account_menu_check= get_option('_iv_directories_menufavorites');
									}
								?>
								<input type="checkbox" name="menufavorites" id="menufavorites" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div class="row ">
						<div class="col-sm-3 ">
							<?php esc_html_e('Who is Interested','ivdirectories');?>
						</div>
						<div class="col-sm-7">
							<a href="<?php echo esc_html($page_link); ?>?&profile=who-is-interested">
								<?php echo esc_html($page_link); ?>?&profile=who-is-interested
							</a>
						</div>
						<div class="col-sm-2">
							<div class="checkbox ">
								<label><?php
									$account_menu_check='';
									if( get_option( '_iv_directories_menuinterested' ) ) {
										$account_menu_check= get_option('_iv_directories_menuinterested');
									}
								?>
								<input type="checkbox" name="menuinterested" id="menuinterested" value="yes" <?php echo ($account_menu_check=='yes'? 'checked':'' ); ?> > <?php esc_html_e('Hide', 'ivdirectories' ); ?>
								</label>
							</div>
						</div>
					</div>
					<div id="custom_menu_div_myaccount">
						<?php
							$old_custom_menu = array();
							if(get_option('iv_directories_profile_menu')){
								$old_custom_menu=get_option('iv_directories_profile_menu' );
							}
							$ii=1;
							if($old_custom_menu!=''){
								foreach ( $old_custom_menu as $field_key => $field_value ) {
								?>
								<div class="row form-group " id="menu_<?php echo esc_html($ii); ?>">
									<div class=" col-sm-3">
										<input type="text" class="form-control" name="menu_title[]" id="menu_title[]"  value="<?php echo esc_html($field_key); ?>" placeholder=" <?php esc_html_e('Enter Menu Title', 'ivdirectories' ); ?>">
									</div>
									<div  class=" col-sm-7">
										<input type="text" class="form-control" name="menu_link[]" id="menu_link[]"  value="<?php echo esc_html($field_value); ?>" placeholder="<?php esc_html_e('Enter Menu Link', 'ivdirectories' ); ?>">
									</div>
									<div  class=" col-sm-2">
										<button class="btn btn-danger btn-xs" onclick="return iv_remove_menu('<?php echo esc_html($ii); ?>');"><?php esc_html_e('Delete','ivdirectories');?></button>
									</div>
								</div>
								<?php
									$ii++;
								}
							}else{?>
							<div class="row form-group " id="menu_<?php echo esc_html($ii); ?>">
								<div class=" col-sm-3">
									<input type="text" class="form-control" name="menu_title[]" id="menu_title[]"   placeholder="<?php esc_html_e('Enter Menu Title', 'ivdirectories' ); ?>">
								</div>
								<div  class=" col-sm-7">
									<input type="text" class="form-control" name="menu_link[]" id="menu_link[]"  placeholder="<?php esc_html_e('Enter Menu Link. Example  http://www.google.com', 'ivdirectories' ); ?>">
								</div>
								<div  class=" col-sm-2">
									<button class="btn btn-danger btn-xs" onclick="return iv_remove_menu('<?php echo esc_html($ii); ?>');"><?php esc_html_e('Delete','ivdirectories');?></button>
								</div>
							</div>
							<?php
								$ii++;
							}
						?>
					</div>
					<div class="col-xs-12">
						<button class="btn btn-warning btn-xs" onclick="return iv_add_menu_myaccount();"><?php esc_html_e('Add More','ivdirectories');?> </button>
					</div>
				</div>
			</div>
			<div class="panel panel-info">
				<div class="panel-heading"><h4><?php esc_html_e('User Profile Fields','ivdirectories');?> </h4></div>
				<div class="panel-body">
					<div class="row ">
						<div class="col-sm-5 ">
							<h4><?php esc_html_e('User Meta Name','ivdirectories');?> </h4>
						</div>
						<div class="col-sm-5">
							<h4><?php esc_html_e('Display Label','ivdirectories');?> </h4>
						</div>
						<div class="col-sm-2">
							<h4><?php esc_html_e('Action','ivdirectories');?> </h4>
						</div>
					</div>
					<div id="custom_field_div_profile">
						<?php
							$default_fields = array();
							$field_set=get_option('iv_directories_profile_fields' );
							if($field_set!=""){
								$default_fields=get_option('iv_directories_profile_fields' );
								}else{
								$default_fields['first_name']='First Name';
								$default_fields['last_name']='Last Name';
								$default_fields['phone']='Phone Number';
								$default_fields['mobile']='Mobile Number';
								$default_fields['address']='Address';
								$default_fields['occupation']='Occupation';
								$default_fields['description']='About';
								$default_fields['web_site']='Website Url';
							}
							$i=1;
							foreach ( $default_fields as $field_key => $field_value ) {
								echo '<div class="row form-group " id="profile_field_'.$i.'"><div class=" col-sm-5"> <input type="text" class="form-control" name="meta_name[]" id="meta_name[]" value="'.$field_key . '" placeholder="Enter User Meta Name "> </div>
								<div  class=" col-sm-5">
								<input type="text" class="form-control" name="meta_label[]" id="meta_label[]" value="'.$field_value . '" placeholder="Enter User Meta Label">
								</div>
								<div  class=" col-sm-2">';
							?>
							<button class="btn btn-danger btn-xs" onclick="return iv_remove_field_profile('<?php echo esc_html($i); ?>');"><?php esc_html_e('Delete','ivdirectories');?> </button>
						</div>
					</div>
					<?php
						$i++;
					}
				?>
			</div>
			<div class="col-xs-12">
				<button class="btn btn-warning btn-xs" onclick="return iv_add_field_profile_myaccount();"><?php esc_html_e('Add More','ivdirectories');?> </button>
			</div>
		</div>
	</div>
</form>
<div class="row">
	<div class="col-xs-12">
		<div align="center">
			<div id="loading"></div>
			<button class="btn btn-info btn-lg" onclick="return update_profile_fields();"><?php esc_html_e('Update','ivdirectories');?>  </button>
		</div>
		<p>&nbsp;</p>
	</div>
</div>
<div class=" col-md-12  bs-callout bs-callout-info">
	<h4> <?php esc_html_e('Display the user meta on "Public Profile','ivdirectories');?>" </h4>
	<p> <?php esc_html_e('Open the template file  your-theme/directory-pro/profile-public/profile-template-1.php and put the code on the file. It will display  the  "first_name" user meta value.','ivdirectories');?></p>
	<p> 		&lt;?php echo get_user_meta($user_id, 'first_name', true); ?&gt;</p>
	<h4> <?php esc_html_e('Overriding templates','ivdirectories');?></h4>
	<p><?php esc_html_e('The template files can be found within the /directory-pro/template/ directory: Copy the template folder and paste it on your current theme folder and rename it as "directorypro".','ivdirectories');?>
	</p>
</div>
</div>
</div>
<?php
	wp_enqueue_script('iv_directories-script-profile-fields', wp_iv_directories_URLPATH . 'admin/files/js/profile-fields.js');
	wp_localize_script('iv_directories-script-profile-fields', 'profiledata', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),
	'i'=> 	esc_html($i),
	'ii'=> 	esc_html($ii),
	'settingnonce'=> wp_create_nonce("settings"),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	) );
	?>		