<?php
	global $wpdb;
	global $current_user;
	$ii=1;

?>
<div class="bootstrap-wrapper">
	<div class="welcome-panel container-fluid">
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Review Fields','ivdirectories'); ?>  <br /><small> &nbsp;</small> </h3>
			</div>
		</div>
		<div id="success_message">	</div>
		<div class="panel panel-info">
			<div class="panel-heading"><h4><?php esc_html_e(' Review Fields','ivdirectories'); ?>  </h4></div>
			<div class="panel-body">
				<form id="dir_reviews_fields" name="dir_reviews_fields" class="form-horizontal" role="form" onsubmit="return false;">
					<div class="row ">
						<div class="col-sm-5 ">
							<h4> <?php esc_html_e('Post Meta Name','ivdirectories'); ?></h4>
						</div>
						<div class="col-sm-5">
							<h4><?php esc_html_e('Display Label','ivdirectories'); ?></h4>
						</div>
						<div class="col-sm-2">
							<h4><?php esc_html_e('Action','ivdirectories'); ?></h4>
						</div>
					</div>
					<div id="custom_field_div_review">
						<?php
							$default_fields = array();
							$field_set=get_option('iv_cpt-1_fields_review' );
							if($field_set!=""){
								$default_fields=get_option('iv_cpt-1_fields_review' );
								}else{
								$default_fields['Compass']=esc_html__('Compass','ivdirectories');
								$default_fields['Library']=esc_html__('Library','ivdirectories');
								$default_fields['Teacher']=esc_html__('Teacher','ivdirectories');
								$default_fields['Cost']=esc_html__('Cost','ivdirectories');
								$default_fields['Teaching']=esc_html__('Teaching','ivdirectories');
								$default_fields['Learning']=esc_html__('Learning','ivdirectories');
							}
							$i=1;
							foreach ( $default_fields as $field_key => $field_value ) {
								echo '<div class="row form-group " id="field_review'.esc_html($i).'"><div class=" col-sm-5"> <input type="text" class="form-control" name="meta_name[]" id="meta_name[]" value="'.esc_html($field_key) . '" placeholder="Enter Post Meta Name "> </div>
								<div  class=" col-sm-5">
								<input type="text" class="form-control" name="meta_label[]" id="meta_label[]" value="'.esc_html($field_value) . '" placeholder="Enter Post Meta Label">
								</div>
								<div  class=" col-sm-2">';
							?>
							<button class="btn btn-danger btn-xs" onclick="return iv_remove_review_field_listing('<?php echo esc_html($i); ?>');"><?php esc_html_e('Delete', 'ivdirectories' ); ?></button>
							<?php
								echo '</div></div>';
								$i++;
							}
						?>
					</div>
					<div class="col-xs-12">
						<button class="btn btn-warning btn-xs" onclick="return iv_add_field_review();"><?php esc_html_e('Add More','ivdirectories'); ?> </button>
					</div>
					<input type="hidden" name="dir_name" id="dir_name" value="<?php echo esc_html($main_category); ?>">
				</form>
				<div class="col-xs-12">
					<div align="center">
						<div id="loading"></div>
						<button class="btn btn-info btn-lg" onclick="return update_listing_review_fields();"><?php esc_html_e('Update','ivdirectories'); ?>  </button>
					</div>
					<p>&nbsp;</p>
				</div>
				<?php esc_html_e('Note : Keep "Post Meta Name" field without space e.g Dignity_and_respect	','ivdirectories'); ?>
			</div>
		</div>
	</div>
</div>
<?php
	wp_enqueue_script('iv_directories-review-fields', wp_iv_directories_URLPATH . 'admin/files/js/review-fields.js');
	wp_localize_script('iv_directories-review-fields', 'reviewdata', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),
	'i'=> 	esc_html($i),
	'ii'=> 	esc_html($ii),
	'settingnonce'=> wp_create_nonce("settings"),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	) );
	?>	