<?php
	global $post,$wpdb,$tag;
	wp_enqueue_script("jquery");
	wp_enqueue_style('iv_directories-style-1109', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap-4.css');
	wp_enqueue_style('fontawesome-5', wp_iv_directories_URLPATH . 'admin/files/css/fontawesome-5/css/all.min.css');

	wp_enqueue_style('iv_directories-style-11222', wp_iv_directories_URLPATH . 'admin/files/css/listing-style.css');
	wp_enqueue_style('iv_directories-style-11265', wp_iv_directories_URLPATH . 'admin/files/css/search-form.css');
	wp_enqueue_style('iv_directories_inline_css', wp_iv_directories_URLPATH . 'admin/files/css/inline.css');
	wp_enqueue_style('jquery-ui', 	wp_iv_directories_URLPATH . 'admin/files/css/jquery-ui.css');
	wp_enqueue_script('jquery-ui-core');
	wp_enqueue_script('markerclusterer', wp_iv_directories_URLPATH . 'admin/files/js/markerclusterer.js');

	wp_enqueue_style('colorbox-css', wp_iv_directories_URLPATH . 'admin/files/css/colorbox.css');
	wp_enqueue_script('colorbox-js', wp_iv_directories_URLPATH . 'admin/files/js/jquery.colorbox-min.js');

	wp_enqueue_style('alphabet-listing', wp_iv_directories_URLPATH . 'assets/alphabet-sorting/css/listnav.css');
	wp_enqueue_script('alphabet-sorting-js', wp_iv_directories_URLPATH . 'assets/alphabet-sorting/js/jquery-listnav.js',array('jquery'),1.0,true);

	

	require(wp_iv_directories_DIR .'/admin/files/css/color_style.php');
	$current_post_type= get_post_type();
	$directory_url= $current_post_type;
	if(isset($atts['post_type'])){
		$current_post_type =  $atts['post_type'];
		$directory_url= $current_post_type;
	}
	$current_post_type=$directory_url;

	$form_action='';
	if ( is_front_page() ) {
		$form_action='action="'.get_post_type_archive_link($current_post_type).'"';
	}
	$ins_lat='37.4419';
	$ins_lng='-122.1419';
	$zipcode='';
	$search_show=0;
	$map_show=0;
	$category_one_shortcode='no';
	$search_button_show='yes';
	$dir_searchbar_show=get_option('_dir_searchbar_show');
	if($dir_searchbar_show=="yes"){$search_show=1;}
	$dir_map_show=get_option('_dir_map_show');
	if($dir_map_show=="yes"){$map_show=1;}
	$search_button_show=get_option('_search_button_show');
	if($search_button_show==""){$search_button_show='yes';}
	$dirs_data =array();
	$tag_arr= array();
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args = array(
	'post_type' => $current_post_type, // enter your custom post type
	'paged' => $paged,
	'post_status' => 'publish',
	);
	// Add new shortcode only category
	$dir_listing_sort=get_option('_dir_listing_sort');
	if($dir_listing_sort=='ASC'){
		$args['orderby']='title';
		$args['order']='ASC';
	}
	if($dir_listing_sort=='DESC'){
		$args['orderby']='title';
		$args['order']='DESC';
	}
	$lat='';$long='';$keyword_post='';$address='';$postcats ='';$selected_cat='';$selected_tag='';
	if(get_query_var($current_post_type.'_tag')!=''){
		$post_tag = get_query_var($current_post_type.'_tag');
		$args[$current_post_type.'_tag']=$post_tag;
		$selected_tag=$post_tag;
		$args['posts_per_page']='9999';
	}
	if( isset($_POST[$current_post_type.'_tag'])){ 
		if($_POST[$current_post_type.'_tag']!=''){
			$postcats = $_POST[$current_post_type.'_tag'];
			$args[$current_post_type.'_tag']=$postcats;
			$selected=$postcats;
			$selected_tag=$postcats;
			$args['posts_per_page']='9999';
		}
	}
	if(get_query_var($current_post_type.'-category')!=''){
		$postcats = get_query_var($current_post_type.'-category');
		$args[$current_post_type.'-category']=$postcats;
		$selected_cat=$postcats;
		
		$args['posts_per_page']='9999';
	}
	if( isset($_POST[$current_post_type.'-category'])){
		if($_POST[$current_post_type.'-category']!=''){
			$postcats = $_POST[$current_post_type.'-category'];
			$args[$current_post_type.'-category']=$postcats;
			$selected_cat=$postcats;
			$args['posts_per_page']='9999';
		}
	}
	$radius=get_option('_iv_radius');
	if( isset($_POST['range_value'])){
		$radius = $_POST['range_value'];
	}
	if($radius==''){$radius='50';}
	
	if( isset($_POST['keyword'])){
		if($_POST['keyword']!=""){
			$args['s']= sanitize_text_field($_POST['keyword']);
			$keyword_post=sanitize_text_field($_POST['keyword']);
			$args['posts_per_page']='9999';
		}
	}
	// Meta Query***********************
	$city_mq ='';$selected_city='';
	if(isset($_REQUEST['dir_city']) AND $_REQUEST['dir_city']!=''){
		$city_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'city',
		'value'   => sanitize_text_field($_REQUEST['dir_city']),
		'compare' => 'LIKE'
		),
		);
		$selected_city=$_REQUEST['dir_city'];
	}
	$country_mq='';
	if(isset($_REQUEST['dir_country']) AND $_REQUEST['dir_country']!=''){
		$country_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'country',
		'value'   => sanitize_text_field($_REQUEST['dir_country']),
		'compare' => 'LIKE'
		),
		);
	}
	$zip_mq='';
	if(isset($_REQUEST['zipcode']) AND $_REQUEST['zipcode']!=''){
		$zip_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'postcode',
		'value'   => sanitize_text_field($_REQUEST['zipcode']),
		'compare' => 'LIKE'
		),
		);
	}
	$args['meta_query'] = array(
	$city_mq, $country_mq, $zip_mq,
	);
	
	
	$args['posts_per_page']='9999';
	$the_query = new WP_GeoQuery( $args );
	$main_class = new wp_iv_directories;
?>
<div id="insdir_wrapper">
<div class="bootstrap-wrapper">
	<?php
		if($search_show==1){
			include(wp_iv_directories_template.'listing/top-search-alphabet.php');
		}
	?>
		<!-- end of search form -->
		<div class="container">
			<div id="insdir_institutes" class="row" >
				<?php
					$i=1;
					if ( $the_query->have_posts() ) :
					while ( $the_query->have_posts() ) : $the_query->the_post();
					$id = get_the_ID();
					$gallery_ids=get_post_meta($id ,'image_gallery_ids',true);
					$gallery_ids_array = array_filter(explode(",", $gallery_ids));
					$dir_data['link']=get_post_permalink();
					$dir_data['title']=$post->post_title;
					$dir_data['phone']=get_post_meta($id,'phone',true);
					$dir_data['email']=get_post_meta($id,'contact-email',true);
					$dir_data['lat']=get_post_meta($id,'latitude',true);
					$dir_data['lng']=get_post_meta($id,'longitude',true);
					if(get_post_meta($id,'latitude',true)!=''){$ins_lat=get_post_meta($id,'latitude',true);}
					if(get_post_meta($id,'longitude',true)!=''){$ins_lng=get_post_meta($id,'longitude',true);}
					$dir_data['address']=get_post_meta($id,'address',true);
					$dir_data['image']= '';
					$feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'thumbnail' );
					if(isset($feature_image[0]) AND $feature_image[0]!=""){
						$dir_data['image']=  $feature_image[0];
					}
					$dir_data['marker_icon']=wp_iv_directories_URLPATH."/assets/images/map-marker/map-marker.png";
					$currentCategoryId='';
					$terms =get_the_terms($id, $current_post_type."-category");
					if($terms!=""){
						foreach ($terms as $termid) {
							if(isset($termid->term_id)){
								$currentCategoryId= $termid->term_id;
							}
						}
					}
					$marker = get_option('_cat_map_marker_'.$currentCategoryId,true);
					if($marker!=''){
						$image_attributes = wp_get_attachment_image_src( $marker ); // returns an array
						if( $image_attributes ) {
							$dir_data['marker_icon']= $image_attributes[0];
						}
					}
					array_push( $dirs_data, $dir_data );
					$feature_img='';
					if(has_post_thumbnail()){
						$feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'large' );
						if( $feature_image[0]!=""){
							$feature_img =$feature_image[0];
						}
						}else{
						$feature_img= wp_iv_directories_URLPATH."/assets/images/default-directory.jpg";
					}
					$currentCategory=wp_get_object_terms( $id, $current_post_type.'-category');
					$cat_link='';$cat_name='';$cat_slug='';
					if ( ! empty( $currentCategory ) ) {
						if(isset($currentCategory[0]->slug)){
							for($i=0;$i<20;$i++){
								if(isset($currentCategory[$i]->slug)){
									$cat_slug=$cat_slug.' '.(isset($currentCategory[$i]->slug) ? $currentCategory[$i]->slug :'');
								}
							}
							$cat_name = $currentCategory[0]->name;
							$cat_link= get_term_link($currentCategory[0], $current_post_type.'-category');
						}
					}

					$insdir_call=get_option('insdir_call_btn');
					if($insdir_call==""){$insdir_call='yes';}

					$insdir_email=get_option('insdir_email_btn');
					if($insdir_email==""){$insdir_email='yes';}

					$insdir_top_img=get_option('insdir_top_img');	
					if($insdir_top_img==""){$insdir_top_img='yes';}

				?>
				<div class="insdir_container">
					<div class="insdir_ft_img <?php if($insdir_top_img=='no'){echo "d-none";} ?>">
						<a href="<?php echo get_post_permalink(); ?>">
							<img src="<?php echo esc_attr($feature_img);?>" alt="Image">
						</a>
					</div>
					<div class="insdir_content">
						<p class="insdir_content_title">
							<a href="<?php echo get_post_permalink(); ?>"><?php echo $dir_data['title']; ?></a>
						</p>
						<p class="insdir_content_addr">
							<i class="fas fa-map-marker-alt"></i> <?php echo $dir_data['address']; ?>
						</p>
						<p class="insdir_content_cat">
							<i class="fas fa-bookmark"></i> <?php echo esc_html($cat_name);; ?>
						</p>
						<div class="insdir_contacts">
						<?php if($insdir_call=='yes'){ ?>
							<p class="insdir_cnct_phone">
								<i class="fas fa-phone-volume"></i> <?php echo $dir_data['phone']; ?>
							</p>
						<?php } ?>
						<?php if($insdir_email=='yes'){ ?>
						<p class="insdir_cnct_email" onclick="call_popup('<?php echo esc_html($id);?>')">
								<?php esc_html_e( 'Email', 'ivdirectories' ); ?>
						</p>
						<?php } ?>
						</div>
					</div>
				</div>

				<?php
					$i++;
					endwhile;
					$dirs_json ='';
					if(!empty($dirs_data)){
						$dirs_json =json_encode($dirs_data);
					}
				?>
				<?php else :
					$dirs_json='';
				?>
				<?php esc_html_e( 'Sorry, no posts matched your criteria.','ivdirectories' ); ?>
				<?php endif; ?>
			</div>

			<div class="insdir_lightbox_email">

			</div>

			
		</div>

		
		<!--END .navigation-links-->
	</div>
</div>

<?php
wp_enqueue_script('archive-alphabet-js', wp_iv_directories_URLPATH . 'admin/files/js/listing-archive-alphabet.js', array('jquery'),1.0,true);
wp_enqueue_script('archive-listing', wp_iv_directories_URLPATH . 'admin/files/js/archive-listing.js');
wp_localize_script('archive-listing', 'dirpro_data', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	'current_user_id'	=>get_current_user_id(),
	'dirwpnonce'=> wp_create_nonce("contact"),
	'message'=>esc_html__('Please put your email','ivdirectories'),
	'wp_iv_directories_URLPATH'=> wp_iv_directories_URLPATH,
	) );

?>
