<?php
	get_header();
	global $post,$wpdb;
	$id = get_the_ID();
	$post_id_1 = get_post($id);
	$post_id_1->post_title;
	if (!defined('wp_iv_directories_URLPATH'))define('wp_iv_directories_URLPATH', trailingslashit(WP_PLUGIN_URL . '/' . plugin_basename(dirname(__FILE__))));
	
	$wp_iv_directories_URLPATH=wp_iv_directories_URLPATH;
	wp_enqueue_style('wp-iv_directories-myaccount-style-11', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap.css');
	wp_enqueue_style('iv_directories-style-71', wp_iv_directories_URLPATH . 'assets/cube/css/cubeportfolio.css');
	wp_enqueue_style('iv_directories-style-10', wp_iv_directories_URLPATH . 'admin/files/css/single-cpt.css');
	wp_enqueue_style('iv_directories-style-111', wp_iv_directories_URLPATH . 'admin/files/css/single_page.css');
	wp_enqueue_style('iv_directories-inline_css', wp_iv_directories_URLPATH . 'admin/files/css/inline.css');
	wp_enqueue_style('font-awesome', wp_iv_directories_URLPATH . 'admin/files/css/font-awesome/css/font-awesome.min.css');
	wp_enqueue_style('fontawesome_5', wp_iv_directories_URLPATH . 'admin/files/css/fontawesome-5/css/all.min.css');
	wp_enqueue_style('jquery.dataTables', wp_iv_directories_URLPATH . 'admin/files/css/jquery.dataTables.css');
	wp_enqueue_script('jquery.dataTables', wp_iv_directories_URLPATH . 'admin/files/js/jquery.dataTables.js');
	require(wp_iv_directories_DIR .'/admin/files/css/color_style.php');
?>

<?php
	$wp_directory= new wp_iv_directories();
	while ( have_posts() ) : the_post();
	if(has_post_thumbnail()){
		$feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $id ), 'large' );
		if($feature_image[0]!=""){
			$feature_img =$feature_image[0];
		}
		}else{
		$feature_img= wp_iv_directories_URLPATH."/assets/images/default-directory.jpg";
	}
	$template_option='1';
	if(get_option('cpt_page_'.get_post_type())>0){
		$template_option='0';
	}
	if(get_option('cpt_page_'.get_post_type())==''){
		$template_option='1';
	}
?>
<?php
	if($template_option=='1'){
	?>
	<div class="bootstrap-wrapper ">
		<div class="row">
			<div class="cbp-l-project-title col-md-12">
				<?php
					echo '<h3>'.$post_id_1->post_title.'</h3>';
				?>
			</div>
		</div>
		<div class="row">
			<div class="col-md-9 col-md-push-3 ">
				<?php
					$gallery_ids=get_post_meta($id ,'image_gallery_ids',true);
					$gallery_ids_array = array_filter(explode(",", $gallery_ids));
					$gallery_urls=get_post_meta($id ,'image_gallery_urls',true);
					$i=1;
					if(sizeof($gallery_ids_array)>0 OR $gallery_urls!=''){
					?>
					<div class="cbp-slider">
						<ul class="cbp-slider-wrap">
							<?php
								foreach($gallery_ids_array as $slide){
									if($slide!=''){ ?>
									<li class="cbp-slider-item">
										<img src="<?php echo wp_get_attachment_url( $slide ); ?> " >
									</li>
									<?php
										$i++;
									}
								}
								//image_gallery_urls
								$gallery_urls=get_post_meta($id ,'image_gallery_urls',true);
								$gallery_urls_array = array_filter(explode(",", $gallery_urls));
								foreach($gallery_urls_array as $slide2){
									if($slide2!=''){ ?>
									<li class="cbp-slider-item">
										<img src="<?php echo esc_url($slide2); ?>" >
									</li>
									<?php
										$i++;
									}
								}
							?>
						</ul>
					</div>
					<?php
					}
					
					if($i<3){ ?>
					<div class="content">
						<?php	if(has_post_thumbnail($id)){
							echo get_the_post_thumbnail($id, 'large');
						}else{												?>
						<img class="img-responsive"  src="<?php echo  wp_iv_directories_URLPATH."/assets/images/default-directory.jpg";?>">
						<?php
						}
						?>
					</div>
					<?php
					}
				?>
				<div class="content">
					<div class="title-content">
						<div class="cposttype-title"><h5><?php esc_html_e('About Us','ivdirectories'); ?></h5></div>
						<span id="fav_dir<?php echo esc_html($id); ?>" class="floatright">
							<?php
								$user_ID = get_current_user_id();
								if($user_ID>0){
									$my_favorite = get_post_meta($id,'_favorites',true);
									$all_users = explode(",", $my_favorite);
									if (in_array($user_ID, $all_users)) { ?>
									<a class="textnone" data-toggle="tooltip" data-placement="bottom" title="<?php esc_html_e('Added to Favorites','ivdirectories'); ?>" href="javascript:;" onclick="save_unfavorite('<?php echo esc_html($id); ?>')" >
									<span class="hide-sm"><i class="fa fa-heart  red-heart fa-lg"></i>&nbsp;&nbsp; </span></a>
									<?php
									}else{ ?>
									<a class="textnone" data-toggle="tooltip" data-placement="bottom" title="<?php esc_html_e('Add to Favorites','ivdirectories'); ?>" href="javascript:;" onclick="save_favorite('<?php echo esc_html($id); ?>')" >
										<span class="hide-sm"><i class="fa fa-heart fa-lg"></i>&nbsp;&nbsp; </span>
									</a>
									<?php
									}
								}else{ ?>
								<a class="textnone" data-toggle="tooltip" data-placement="bottom" title="<?php esc_html_e('Add to Favorites','ivdirectories'); ?>" href="javascript:;" onclick="save_favorite('<?php echo esc_html($id); ?>')" >
									<span class="hide-sm"><i class="fa fa-heart fa-lg"></i>&nbsp;&nbsp; </span>
								</a>
								<?php
								}
							?>
						</span>
					</div>
					<div class="conten-desc">
						<?php
							if($wp_directory->check_reading_access('description',$id)){
							?>
							<div class="cbp-l-project-desc-text">
								<?php
									$content = apply_filters( 'the_content', get_the_content() );
									$content = str_replace( ']]>', ']]&gt;', $content );
									echo  do_shortcode($content);
								?>
							</div>
							<div class="cbp-l-project-desc-text">
								<?php
									$i=1;
									$field_set=get_option('iv_directories_fields' );
									if($field_set!=""){
										$default_fields=get_option('iv_directories_fields' );
										}else{
										$default_fields['Totalenrollment']='Total enrollment';
										$default_fields['Undergraduate_graduate_ratio']='Undergraduate/graduate ratio ';
										$default_fields['No_of_international_students']='No. of international students ';
										$default_fields['pers_of international_students']=' % of international students';
										$default_fields['no_of_faculty']='No. of faculty';
										$default_fields['Student_faculty_ratio']='Student faculty ratio';
										$default_fields['no_of_staff']='No. of staff';
										$default_fields['Annual_revenue ']='Annual revenue';
									}
									if(sizeof($default_fields)>0){ 	?>
									<ul class="cbp-l-project-adi-list">
										<?php
											foreach ( $default_fields as $field_key => $field_value ) {
												$field_value_trim=trim($field_value);
												if(trim(get_post_meta($id,$field_key,true))!='' AND $field_value_trim!=''){
													$url = '~(?:(https?)://([^\s<]+)|(www\.[^\s<]+?\.[^\s<]+))(?<![\.,:])~i';
													$string= get_post_meta($id,$field_key,true);
													$string = preg_replace($url, '<a href="$0" target="_blank" title="$0">$0</a>', $string);
												?>
												<li><?php echo esc_html($field_value_trim); ?>
													<?php echo ' : '.esc_html($string); ?>
												</li>
												<?php
												}
											}
										?>
									</ul>
									<?php
									}
								?>
							</div>
							<?php
								}else{
								echo get_option('_iv_visibility_login_message');
							}
						?>
					</div>
				</div> <!-- End About US-->
				<!-- Course-->
				
				<?php
				$coursesProgram=get_option('coursesProgram');
				if($coursesProgram==""){$coursesProgram='yes';}
				if($coursesProgram=="yes"){
					global $wpdb;
					$post_type='courses';
					$per_page=10;$row_strat=0;$row_end=$per_page;

					$sql="SELECT * FROM $wpdb->posts WHERE post_type IN ('$post_type')  and post_status IN ('publish' )  ORDER BY post_title ASC";							
					$authpr_post = $wpdb->get_results($sql);

					$total_post=count($authpr_post);
					if($total_post>0){					
					?>
					<div class="content">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Courses/Programs','ivdirectories'); ?></h5>
							</div>
						</div>
						<div class="conten-desc ">
							<table id="data-all1" class="display table" cellspacing="0" width="100%">
								<thead>
									<tr class="">
										<th><?php  esc_html_e('Serial#','ivdirectories');?></th>
										<th><?php  esc_html_e('Title','ivdirectories');?></th>
										<th><?php  esc_html_e('Estimated Cost','ivdirectories');?></th>
										<th><?php  esc_html_e('Program type','ivdirectories');?></th>
									</tr>
								</thead>	
								<?php
									$i=1;
									foreach ( $authpr_post as $row )
									{
										$programsids = get_post_meta($id,'programsids',true);
										$programsids_arr = explode(',',$programsids);
										if (in_array($row->ID, $programsids_arr)) {	
									?>
									<tr>
										<td> <?php echo esc_html($i); ?>
										</td>
										<td>
											<?php echo esc_html($row->post_title); ?>
										</td>
										<td  class="font14">
											<?php echo get_post_meta($id ,'estimated_cost_'.$row->ID,true); ?>
										</td>
										<td  class="font14">
											<?php echo get_post_meta($row->ID ,'program_type',true); ?>
										</td>										
									</tr>
									<?php
										$i++;
										}	
									}
								?>
							</table>							

						</div>
					</div>
					<?php
						}
					}	
					?>
					<!-- End Course-->
					<?php
				$campuses=get_option('campuses');
				if($campuses==""){$campuses='yes';}
				if($campuses=="yes"){				
				?>
					<div class="content ">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Campuses','ivdirectories'); ?></h5>
							</div>
						</div>
						<div class="conten-desc tag-list">
							<?php
								for($i=0;$i<50;$i++){
									if(get_post_meta($id,'campuse_title'.$i,true)!='' || get_post_meta($id,'campuse_state'.$i,true) ){?>
									<div class="col-12 col-md-6 ws_campus_url">
										<?php echo get_post_meta($id,'campuse_title'.$i,true); ?>
									</div>
									<div class="col-6 col-md-3 ws_campus_loc">
										<p class=""><?php echo get_post_meta($id,'campuse_state'.$i,true); ?></p>
									</div>
									<div class="col-6 col-md-3 ws_campus_rating p-0">
										<p>
											<?php  $campuse_rate= get_post_meta($id,'campuse_rate'.$i,true); ?>
											<i class="fa fa-star<?php echo($campuse_rate>=1 ?'':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($campuse_rate>=2 ?'':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($campuse_rate>=3 ?'':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($campuse_rate>=4 ?'':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($campuse_rate>=5 ?'':'-o'); ?>"></i>
										</p>
									</div>
									<?php

									}
								}
							?>
						</div>
					</div>
				<?php
				}
				?>
				<?php
					$specialitiess = get_post_meta($id,'Specialities',true);
					
					$Specialitiess_arr=array_filter(explode(",",$specialitiess));
					if(sizeof($Specialitiess_arr)>0){?>
					<div class="content Specialitiess-list">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Specialities','ivdirectories'); ?></h5>
							</div>
						</div>
						<div class="conten-desc specialist-list">
							<?php
								$specialitiess = get_post_meta($id,'Specialities',true);
								
								$Specialitiess_arr= explode(",",$specialitiess);
								if(sizeof($Specialitiess_arr)>0){?>
								<ul class="cbp-l-project-details-list">
									<?php
										foreach($Specialitiess_arr as $sp_one){
											if(trim($sp_one)!=''){
											?>
											<li><?php echo esc_html($sp_one);?><span class="floatright" ></span></li>
											<?php
											}
										}?>
								</ul>
								<?php
								}
							?>
						</div>
					</div>
					<?php
					}
					$dir_tag_show=get_option('_dir_tag_show');
					if($dir_tag_show==""){$dir_tag_show='yes';}
					if($dir_tag_show=='yes'){
					?>
					<div class="content ">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Tags','ivdirectories'); ?></h5>
							</div>
						</div>
						<div class="conten-desc tag-list">
							<?php
								$post_type=get_post_type();
								echo '<ul class="tags">';
								$tags_all= wp_get_object_terms( $id,  $post_type.'_tag');
								foreach ( $tags_all as $term ) {
									echo'<li><a href="'.get_tag_link($term->term_id) .'">'.$term->name.'</a></li>';
								}
								echo'</ul>';
							?>
						</div>
					</div>
					<?php
					}
					if(trim(get_post_meta($id,'_award_title_0',true))!=''){ ?>
					<div class="content">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Awards','ivdirectories'); ?></h5></div>
						</div>
						<div class="conten-desc award-content">
							<div class="cbp-l-project-desc-text">
								<?php
									if($wp_directory->check_reading_access('award',$id)){
									?>
									<?php
										for($i=0;$i<20;$i++){
											if(get_post_meta($id,'_award_title_'.$i,true)!='' || get_post_meta($id,'_award_description_'.$i,true) || get_post_meta($id,'_award_year_'.$i,true)|| get_post_meta($id,'_award_image_id_'.$i,true) ){?>
											<div class="cbp-l-inline">
												<div class="cbp-l-inline-left">
													<?php
														if(get_post_meta($id,'_award_image_id_'.$i,true)!=''){?>
														<img src="<?php echo wp_get_attachment_url( get_post_meta($id,'_award_image_id_'.$i,true) ); ?> " >
														<?php
														}elseif(get_post_meta($id,'_award_image_url_'.$i,true)!=''){
														?>
														<img src="<?php echo get_post_meta($id,'_award_image_url_'.$i,true); ?>" >
														<?php
														}
													?>
												</div>
												<div class="cbp-l-inline-right-hd">
													<div class="cbp-l-award-title"><?php echo get_post_meta($id,'_award_title_'.$i,true); ?></div>
													<div class="cbp-l-inline-subtitle"><?php echo get_post_meta($id,'_award_year_'.$i,true); ?></div>
													<div class="cbp-l-inline-desc">
														<?php echo get_post_meta($id,'_award_description_'.$i,true); ?>
													</div>
												</div>
											</div>
											<?php
											}
										}
										}else{
										echo get_option('_iv_visibility_login_message');
									}
								?>
							</div>
						</div>
					</div>
					<?php
					}
					if(trim(get_post_meta($id,'_doc_title_0',true))!=''){ ?>
					<div class="content">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Documents','ivdirectories'); ?></h5></div>
						</div>
						<div class="conten-desc award-content">
							<div class="cbp-l-project-desc-text">
								<?php
									if($wp_directory->check_reading_access('documents',$id)){
									?>
									<?php
										for($i=0;$i<30;$i++){
											if(get_post_meta($id,'_doc_title_'.$i,true)!='' ||  get_post_meta($id,'_doc_id_'.$i,true) ){?>
											<div class="cbp-l-inline">
												<div class="col-md-2">
													<?php
														if(get_post_meta($id,'_doc_id_'.$i,true)!=''){?>
														<a target="_blank"  href="<?php echo wp_get_attachment_url( get_post_meta($id,'_doc_id_'.$i,true) ); ?>">
															<img class="img60" src="<?php echo wp_iv_directories_URLPATH.'assets/images/PDF1.png'; ?> " >
														</a>
														<?php
														}
													?>
												</div>
												<div class="col-md-10">
													<a target="_blank"  href="<?php echo wp_get_attachment_url( get_post_meta($id,'_doc_id_'.$i,true) ); ?>">
														<?php echo get_post_meta($id,'_doc_title_'.$i,true); ?>
													</a>
												</div>
											</div>
											<?php
											}
										}
										}else{
										echo get_option('_iv_visibility_login_message');
									}
								?>
							</div>
						</div>
					</div>
					<?php
					}
				?>
				<div class="">
					<?php
						if($wp_directory->check_reading_access('video',$id)){
							$video_vimeo_id= get_post_meta($id,'vimeo',true);
							$video_youtube_id=get_post_meta($id,'youtube',true);
							if($video_vimeo_id!='' || $video_youtube_id!=''){
							?>
							<div class="content">
								<div class="title-content">
									<div class="cposttype-title"><h5><?php esc_html_e('Video','ivdirectories'); ?></h5>
									</div>
									<div class="conten-desc">
										<?php
											$v=0;
											$video_vimeo_id= get_post_meta($id,'vimeo',true);
											if($video_vimeo_id!=""){ $v=$v+1; ?>
											<iframe src="https://player.vimeo.com/video/<?php echo esc_html($video_vimeo_id); ?>" width="100%" height="315px" frameborder="0"></iframe>
											<?php
											}
										?>
										<br/>
										<?php
											$video_youtube_id=get_post_meta($id,'youtube',true);
											if($video_youtube_id!=""){
												echo($v==1?'<hr>':'');
											?>
											<iframe width="100%" height="315px" src="https://www.youtube.com/embed/<?php echo esc_html($video_youtube_id); ?>" frameborder="0" allowfullscreen></iframe>
											<?php
											}
										?>
									</div>
								</div>
							</div>
							<?php
							}
						}
					?>
				</div>
				<div class="content">
					<?php
						if($wp_directory->check_reading_access('event')){
						?>
						<?php
							if(trim(get_post_meta($id,'event_title',true))!='' || trim(get_post_meta($id,'event_detail',true))!=''  || trim(get_post_meta($id,'_event_image_id',true))!=''  ){?>
							<div class="title-content">
								<div class="cposttype-title"><h5><?php esc_html_e('Event','ivdirectories'); ?></h5>
								</div>
							</div>
							<div class="conten-desc award-content">
								<div class="cbp-l-project-desc-text">
									<div class="cbp-l-inline">
										<div class="cbp-l-inline-left">
											<?php
												if(get_post_meta($id,'_event_image_id',true)!=''){?>
												<img src="<?php echo wp_get_attachment_url( get_post_meta($id,'_event_image_id',true) ); ?> " >
												<?php
												}
											?>
										</div>
										<div class="cbp-l-inline-right-hd">
											<div class="cbp-l-award-title"><?php echo get_post_meta($id,'event_title',true); ?></div>
											<div class="cbp-l-inline-desc">
												<?php echo get_post_meta($id,'event_detail',true); ?>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php
							}
						?>
						<?php
						}
					?>
				</div>
				<!-- review section -->
					<?php
						$dir_review_show=get_option('dir_review_show');
						if($dir_review_show==""){$dir_review_show='yes';}
						if($dir_review_show=='yes'){
						?>
						<div class="content">
							<div class="title-content">
								<div class="cposttype-title"><h5><?php esc_html_e('Reviews','ivdirectories'); ?></h5>
								</div>
							</div>
						<div class="conten-desc tag-list">							
							<!-- <div class="row mt-0 px-5" id="review"> -->
								<?php
									include(wp_iv_directories_template.'listing/reviews.php');
								?>
							<!-- </div> -->
						</div>
					</div>	
						<?php
						}
					?>
					<!-- end of review section -->
				<?php
					$dir_comments_show=get_option('_dir_comments_show');
					if($dir_comments_show==""){$dir_comments_show='no';}
					if($dir_comments_show=='yes'){
					?>
					<div class="content col-md-12">
						<div class="title-content">
							<div class="cposttype-title"><h5><?php esc_html_e('Comments','ivdirectories'); ?></h5>
							</div>
						</div>
						<div class=" ">
							<?php comments_template(); ?>
						</div>
					</div>
					<?php
					}
				?>
			</div> <!-- end col-md-9  -->
			<div class="col-md-3 col-md-pull-9">
				<div class="medicaldirectory-sidebar">
					<?php
						$logo_image_url=get_post_meta($id ,'logo_image_url',true);
						$logo_image_id=get_post_meta($id ,'logo_image_id',true);
						if($logo_image_id>0){?>
						<img class="img_middle"  src="<?php echo wp_get_attachment_url( $logo_image_id ); ?> " >
						<?php
						}elseif($logo_image_url!=''){ ?>
							<img class="img_middle"  src="<?php echo  esc_url($logo_image_url); ?> " >
						<?php
						}
						?>
						<div class="sidebar-content">
							<?php
								$dir_Contactinfo_show=get_option('_dir_Contactinfo_show');
								if($dir_Contactinfo_show==""){$dir_Contactinfo_show='yes';}
								if($dir_Contactinfo_show=='yes'){
								?>
								<div class="cbp-l-project-details-title "><span><?php esc_html_e('Contact Info','ivdirectories'); ?></span>
								</div>
								<?php
									if($wp_directory->check_reading_access('contact info',$id)){
										$lat=get_post_meta($id,'latitude',true);
										$lng=get_post_meta($id,'longitude',true);
									?>
									<ul class="cbp-l-project-details-list">
										<li><strong><?php esc_html_e('Location','ivdirectories'); ?></strong>
											<div class="tooltipsingle">
												<?php
													$address=get_post_meta($id,'address',true).'+'.get_post_meta($id,'city',true).'+'.get_post_meta($id,'postcode',true).'+'.get_post_meta($id,'country',true);
													echo '<a  style="text-decoration: none;"  class= "tooltipsingle" href="http://maps.google.com/maps?saddr=Current+Location&amp;daddr='.$address.'" target="_blank"">'.get_post_meta($id,'address',true).'</a>';
												?>
												<span class="tooltiptext"><?php esc_html_e('Click address for directions','ivdirectories'); ?> </span>
											</div>
										</li>
										<li><strong><?php esc_html_e('Phone','ivdirectories'); ?></strong>
											<?php echo '<a style="text-decoration: none;" href="tel:'.get_post_meta($id,'phone',true).'">'.get_post_meta($id,'phone',true).'</a>' ;?>
										</li>
										<li><strong><?php esc_html_e('Fax','ivdirectories'); ?></strong>
										<?php echo get_post_meta($id,'fax',true).'&nbsp;';?>			</li>
										<li><strong><?php esc_html_e('Email','ivdirectories'); ?></strong>
										<?php echo get_post_meta($id,'contact-email',true).'&nbsp;';?>					</li>
										<li><strong><?php esc_html_e('Web Site','ivdirectories'); ?></strong>
											<?php
												$contact_web=get_post_meta($id,'contact_web',true);
												$contact_web=str_replace('https://','',$contact_web);
												$contact_web=str_replace('http://','',$contact_web);
											?>
											<?php echo '<a style="text-decoration: none;" href="http://'. $contact_web.'" target="_blank"">'. get_post_meta($id,'contact_web',true).'&nbsp; </a>';?>
										</li>
									</ul>
									<?php
									}
								}
								$dir_social_show=get_option('_dir_social_show');
								if($dir_social_show==""){$dir_social_show='yes';}
								if($dir_social_show=='yes'){
								?>
								<div class="cbp-l-project-details-title "><span><?php esc_html_e('Social Profile','ivdirectories'); ?></span>
								</div>
								<ul class="cbp-l-project-details-list">
									<li>
								 		<?php
											if(get_post_meta($id,'facebook',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('Facebook Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'facebook',true);?>" target="_blank"><i class="fab fa-facebook-square fa-2x"></i></a>
											<?php
											}
										?>
								 		<?php
											if(get_post_meta($id,'twitter',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('Twitter Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'twitter',true);?>" target="_blank"><i class="fab fa-twitter fa-2x"></i></a>
											<?php
											}
										?>
								 		<?php
											if(get_post_meta($id,'linkedin',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('linkedin Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'linkedin',true);?>" target="_blank"><i class="fab fa-linkedin-square fa-2x"></i></a>
											<?php
											}
										?>
								 		<?php
											if(get_post_meta($id,'gplus',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('google+ Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'gplus',true);?>" target="_blank"><i class="fab fa-google-plus-square fa-2x"></i></a>
											<?php
											}
											if(get_post_meta($id,'pinterest',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('Pinterest Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'pinterest',true);?>" target="_blank"><i class="fab fa-pinterest-square fa-2x"></i></a>
											<?php
											}
											if(get_post_meta($id,'instagram',true)!=""){ ?>
								 			<a data-toggle="tooltip" data-placement="bottom" class="icon-blue"  title="<?php esc_html_e('Instagram Profile','ivdirectories'); ?>" href="<?php echo get_post_meta($id,'instagram',true);?>" target="_blank"><i class="fab fa-instagram fa-2x"></i></a>
											<?php
											}
										?>
									</li>
								</ul>
								<?php
								}
								$dir_share_show=get_option('_dir_share_show');
								if($dir_share_show==""){$dir_share_show='yes';}
								if($dir_share_show=='yes'){
								?>
								<div class="cbp-l-project-details-title "><span><?php esc_html_e('Share','ivdirectories'); ?></span>
								</div>
								<ul class="cbp-l-project-details-list">
									<li>
										<a data-toggle="tooltip" class="icon-blue" data-placement="bottom" title="<?php esc_html_e('Share On Facebook','ivdirectories'); ?>" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink();  ?>"><i class="fab fa-facebook-square fa-2x"></i></a>
										<a data-toggle="tooltip" class="icon-blue" data-placement="bottom" title="<?php esc_html_e('Share On Twitter','ivdirectories'); ?>" href="https://twitter.com/home?status=<?php the_permalink();  ?>"><i class="fab fa-twitter fa-2x"></i></a>
										<a data-toggle="tooltip" class="icon-blue" data-placement="bottom" title="<?php esc_html_e('Share On linkedin','ivdirectories'); ?>" href="https://www.linkedin.com/shareArticle?mini=true&url=test&title=<?php echo esc_html($post_id_1->post_title); ?>&summary=&source="><i class="fab fa-linkedin-square fa-2x"></i></a>
										<a data-toggle="tooltip" class="icon-blue" data-placement="bottom" title="<?php esc_html_e('Share On google+','ivdirectories'); ?>" href="https://plus.google.com/share?url=<?php the_permalink();  ?>"><i class="fab fa-google-plus-square fa-2x"></i></a>
									</li>
								</ul>
								<?php
								}
							?>
						</div>
						<div class="sidebar-content">
							<div class="cbp-l-project-details-title "><span><?php esc_html_e('Location Map','ivdirectories'); ?></span>
							</div>
						</div>
						<div class="cbp-l-project-desc-text">
							<?php
								$lat=get_post_meta($id,'latitude',true);
								$lng=get_post_meta($id,'longitude',true);
								// Get latlng from address* START********
								$dir_lat=$lat;
								$dir_lng=$lng;
								$address = get_post_meta($id,'address',true);
								
							?>
							<iframe width="100%" height="325" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?q=<?php echo esc_html($address); ?>&amp;ie=UTF8&amp;&amp;output=embed"></iframe><br />
						</div>
						<div class="sidebar-content">
							<?php
								$openin_days =get_post_meta($id ,'_opening_time',true);
								if($openin_days!=''){
									if(sizeof($openin_days)>0){?>
									<div class="cbp-l-project-details-title "><span><?php esc_html_e('Opening Time','ivdirectories'); ?></span></div>
									<ul class="cbp-l-project-details-list">
										<?php
											$openin_days =get_post_meta($id ,'_opening_time',true);
											if(!is_array($openin_days)){
												$openin_days_final = array();
												$daysArr = explode( ',', $openin_days );
												foreach( $daysArr as $val ){
													$tmp = explode( '|', $val );
													$openin_days_final[ $tmp[0] ] = $tmp[1].'|'.$tmp[2];
												}
												$openin_days=$openin_days_final;
											}
											foreach($openin_days as $key => $item){
												$day_time = explode("|", $item);
											?>
											<li><strong><?php echo esc_html($key); ?></strong><?php echo esc_html($day_time[0]).' - '.esc_html($day_time[1]);  ?></li>
											<?php
											}
										?>
									</ul>
									<?php
									} }
							?>
						</div>
					
						<?php
							$dir_contact_show=get_option('_dir_contact_show');
							if($dir_contact_show==''){$dir_contact_show='yes';}
							if($dir_contact_show=='yes'){
							?>
							<div class="sidebar-content">
								<div class="cbp-l-project-details-title "><span><?php esc_html_e('Contact Us','ivdirectories'); ?></span></div>
								<?php
									if($wp_directory->check_reading_access('contact us',$id)){
									?>
									<form action="" id="message-pop" name="message-pop"  method="POST" role="form">
										<div class="cbp-l-grid-projects-desc">
											<input id="subject" name ="subject" type="text" placeholder="<?php esc_html_e( 'Enter Subject', 'ivdirectories' ); ?>" class="form-control-solid">
										</div>
										<div class="cbp-l-grid-projects-desc">
											<input name ="email_address" id="email_address" type="text" placeholder="<?php esc_html_e( 'Enter Email', 'ivdirectories' ); ?>" class="form-control-solid">
										</div>
										<div class="cbp-l-grid-projects-desc">
											<textarea name="message-content" id="message-content"  class="form-control-solid"  cols="54" rows="4" title="Please Enter Message"  placeholder="<?php esc_html_e( 'Enter Message', 'ivdirectories' ); ?>"  ></textarea>
										</div>
										<input type="hidden" name="dir_id" id="dir_id" value="<?php echo esc_html($id); ?>">
										<a onclick="send_message_iv();" class="btn-new btn-custom full-width"><?php esc_html_e( 'Send Message', 'ivdirectories' ); ?></a>
										<div id="update_message_popup"></div>
									</form>
									<?php
										}else{
										echo get_option('_iv_visibility_login_message');
									}
								?>
							</div>
							<?php
							}
						?>
				</div>
				<?php
					$dir_claim_show=get_option('_dir_claim_show');
					if($dir_claim_show==""){$dir_claim_show='yes';}
					if($dir_claim_show=="yes"){
						if(get_post_meta($id,'iv_listing_approve',true)!='yes'){
						?>
						<div class="medicaldirectory-sidebar">
							<div class="sidebar-content  claims">
								<div class="cbp-2-project-details">
									<div class="cbp-l-project-details-title "><span><?php esc_html_e('Claim The Listing','ivdirectories'); ?></span>
									</div>
									<form action="" id="message-claim" name="message-claim"  method="POST" role="form">
										<div class="cbp-l-grid-projects-desc">
											<input id="subject" name ="subject" type="text" placeholder="<?php esc_html_e( 'Enter Subject', 'ivdirectories' ); ?>" Value="<?php esc_html_e('Claim The Listing', 'ivdirectories' ); ?>" class="form-control-solid">
										</div>
										<div class="cbp-l-grid-projects-desc">
											<textarea name="message-content" id="message-content"  class="form-control-solid"  cols="56" rows="4" title="Please Enter Message"  placeholder="<?php esc_html_e( 'Enter Message', 'ivdirectories' ); ?>"  ></textarea>
										</div>
										<input type="hidden" name="dir_id" id="dir_id" value="<?php echo esc_html($id); ?>">
										<a onclick="send_message_claim();" class="btn-new btn-custom full-width"><?php esc_html_e( 'Submit Claim', 'ivdirectories' ); ?></a>
										<div id="update_message_claim"></div>
									</form>
									<?php
									}
								}
							?>
						</div>
					</div>
				</div>
			</div> <!-- end col-md-3 -->
		</div>
	</div>
	<?php
		}else{
		$post_id = get_option('cpt_page_'.get_post_type());
		$post_content = get_post($post_id);
		$content = $post_content->post_content;
		echo do_shortcode( $content );
	}
?>
<?php
	endwhile;
	$dir_slider_auto=get_option('_dir_slider_auto');
	if($dir_slider_auto==""){$dir_slider_auto='no';}
	
	wp_enqueue_script("jquery");
	wp_enqueue_script('epdirpro-cubeportfolio', wp_iv_directories_URLPATH . 'assets/cube/js/jquery.cubeportfolio.min.js');
	wp_enqueue_script('epdirpro-meet-team', wp_iv_directories_URLPATH . 'assets/cube/js/meet-team.js');
	
	wp_enqueue_script('iv_directories-ar-script-38', wp_iv_directories_URLPATH . 'admin/files/js/single-listing.js');
	wp_localize_script('iv_directories-ar-script-38', 'dirlist_data', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	'current_user_id'	=>get_current_user_id(),
	'Please_login'=>esc_html__('Please login', 'ivdirectories' ),
	'Add_to_Favorites'=>esc_html__('Add to Favorites', 'ivdirectories' ),
	'Added_to_Favorites'=>esc_html__('Added to Favorites', 'ivdirectories' ),
	'Please_put_your_message'=>esc_html__('Please put your name,email & message', 'ivdirectories' ),
	'contact'=> wp_create_nonce("contact"),
	'listing'=> wp_create_nonce("listing"),
	'wp_iv_directories_URLPATH'=>wp_iv_directories_URLPATH,
	'dir_slider_auto'=> ($dir_slider_auto=='yes'? 'true':'false'),
	"sProcessing"=>  esc_html__('Processing','ivdirectories'),
	"sSearch"=>   esc_html__('Search','ivdirectories'),
	"lengthMenu"=>   esc_html__('Display _MENU_ records per page','ivdirectories'),
	"zeroRecords"=>  esc_html__('Nothing found - sorry','ivdirectories'),
	"info"=>  esc_html__('Showing page _PAGE_ of _PAGES_','ivdirectories'),
	"infoEmpty"=>   esc_html__('No records available','ivdirectories'),
	"infoFiltered"=>  esc_html__('(filtered from _MAX_ total records)','ivdirectories'),
	"sFirst"=> esc_html__('First','ivdirectories'),
	"sLast"=>  esc_html__('Last','ivdirectories'),
	"sNext"=>     esc_html__('Next','ivdirectories'),
	"sPrevious"=>  esc_html__('Previous','ivdirectories'),
	
	) );
?>
<?php
	get_footer();
?>