<?php
	wp_enqueue_script('jquery');
	wp_enqueue_style('wp-iv_directories-myaccount-style-11', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap.css');
	wp_enqueue_script('iv_directories-myaccount-style-12', wp_iv_directories_URLPATH . 'admin/files/js/bootstrap.min.js');
	wp_enqueue_style('profile_template1_inline_css', wp_iv_directories_URLPATH . 'admin/files/css/profile_template1.css');
	wp_enqueue_style('font-awesome-5', wp_iv_directories_URLPATH . 'admin/files/css/fontawesome-5/css/all.min.css');
	$color_setting=get_option('_dir_color');
	if($color_setting==""){$color_setting='#0099fe';}
	$color_setting=str_replace('#','',$color_setting);
	$user = new WP_User( $current_user->ID );
	if ( !empty( $user->roles ) && is_array( $user->roles ) ) {
		foreach ( $user->roles as $role ){
			$crole= ucfirst($role);
			break;
		}
	}
	if(strtoupper($crole)!=strtoupper('administrator')){
		include(wp_iv_directories_template.'/private-profile/check_status.php');
	}
	wp_enqueue_media();
	global $current_user;
	require(wp_iv_directories_DIR .'/admin/files/css/color_style.php');
?>

<?php
	global $current_user;
	$currencies = array();
	$currencies['AUD'] ='$';$currencies['CAD'] ='$';
	$currencies['EUR'] ='€';$currencies['GBP'] ='£';
	$currencies['JPY'] ='¥';$currencies['USD'] ='$';
	$currencies['NZD'] ='$';$currencies['CHF'] ='Fr';
	$currencies['HKD'] ='$';$currencies['SGD'] ='$';
	$currencies['SEK'] ='kr';$currencies['DKK'] ='kr';
	$currencies['PLN'] ='zł';$currencies['NOK'] ='kr';
	$currencies['HUF'] ='Ft';$currencies['CZK'] ='Kč';
	$currencies['ILS'] ='₪';$currencies['MXN'] ='$';
	$currencies['BRL'] ='R$';$currencies['PHP'] ='₱';
	$currencies['MYR'] ='RM';$currencies['AUD'] ='$';
	$currencies['TWD'] ='NT$';$currencies['THB'] ='฿';
	$currencies['TRY'] ='TRY';	$currencies['CNY'] ='¥';
	$currency= get_option('_iv_directories_api_currency');
	$currency_symbol=(isset($currencies[$currency]) ? $currencies[$currency] :$currency );
?>
<style media="screen">
	#profile-account2 .green-haze{
	background: #<?php echo esc_html($color_setting); ?> !important;
	}
	.btn-primary {
	background-color: #<?php echo esc_html($color_setting); ?>!important;
	}
	#profile-account2 .profile-usermenu .active{
	/* border-left: 5px solid #<?php //echo esc_html($color_setting); ?>; */
	}
	#profile-account2  .nav li:hover .icon-round{
	border: 1px solid #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2  .portlet-title  .nav li:hover{
	border-bottom: 5px solid #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2  .portlet-title  .nav li.active{
	border-bottom: 5px solid #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2  .profile-usermenu ul li a:hover {
	color: #<?php echo esc_html($color_setting); ?>;
	}
	.profile-usermenu ul li.active a {
	color: #<?php echo esc_html($color_setting); ?> !important;
	border-left: 2px solid #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2 .profile-stat-text {
	color: #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2 .caption-subject{
	color: #<?php echo esc_html($color_setting); ?> !important;
	}
	#profile-account2 .profile-desc-link a {
	color: #<?php echo esc_html($color_setting); ?>;
	}
	#profile-account2  h2 {
	color:#<?php echo esc_html($color_setting); ?> !important;
	}
	.table-head  {
	border: 1px solid #<?php echo esc_html($color_setting); ?>;
	}
	.table-head th{
	background: #<?php echo esc_html($color_setting); ?>;
	}
</style>
<div id="profile-account2" class="bootstrap-wrapper around-separetor">
	<div class="row margin-top-10">
		<div class="col-md-3 col-sm-3 col-xs-12">

			<div class="profile-sidebar">

				<div class="portlet portlet0 light profile-sidebar-portlet">

					<div class="profile-userpic text-center" id="profile_image_main">
						<?php
							$iv_profile_pic_url=get_user_meta($current_user->ID, 'iv_profile_pic_url',true);
							if($iv_profile_pic_url!=''){ ?>
							<img src="<?php echo esc_html($iv_profile_pic_url); ?>" class="pro_img">
							<?php
								}else{
								 $avatar_img = get_avatar( $current_user->ID, 300 );
								echo esc_url($avatar_img );
								preg_match("/src=['\"](.*?)['\"]/i", $avatar_img, $matches);
								if($matches[1]!=''){
									update_user_meta($current_user->ID, 'iv_profile_pic_url',$matches[1]);
								}
							}
						?>
					</div>

					<div class="profile-usertitle">
						<div class="profile-usertitle-name">
							<?php
								$name_display=get_user_meta($current_user->ID,'first_name',true).' '.get_user_meta($current_user->ID,'last_name',true);
							echo (trim($name_display)!=""? $name_display : $current_user->display_name );?>
						</div>
						<div class="profile-usertitle-job">
							<?php echo get_user_meta($current_user->ID,'occupation',true); ?>
						</div>
					</div>

					<div class="profile-userbuttons">
						<button type="button" onclick="edit_profile_image('profile_image_main');"  class="btn-new btn-custom btn-circle"><?php esc_html_e('Change','ivdirectories'); ?> </button>
					</div>

					<div class="profile-usermenu">
						<?php
							$active='all-post';
							if(isset($_GET['profile']) AND $_GET['profile']=='setting' ){
								$active='setting';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='level' ){
								$active='level';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='all-post' ){
								$active='all-post';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='new-listing' ){
								$active='new-listing';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='favorites' ){
								$active='favorites';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='who-is-interested' ){
								$active='who-is-interested';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='post-edit' ){
								$active='all-post';
							}
							if(isset($_GET['profile']) AND $_GET['profile']=='all-courses' ){
								$active='all-courses';
							}
							
							$post_type=  'directories';
						?>
						<ul class="nav">
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_directories_mylevel' ) ) {
									$account_menu_check= get_option('_iv_directories_mylevel');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='level'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=level">
									<i class="fas fa-user-shield"></i>
									<?php esc_html_e('Membership Level','ivdirectories');	 ?> </a>
								</li>
								<?php
								}
							?>
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_directories_menusetting' ) ) {
									$account_menu_check= get_option('_iv_directories_menusetting');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='setting'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=setting">
										<i class="fa fa-cog"></i>
									<?php esc_html_e('Account Settings','ivdirectories');?> </a>
								</li>
								<?php
								}
							?>
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_directories_menuallpost' ) ) {
									$account_menu_check= get_option('_iv_directories_menuallpost');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='all-post'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=all-post">
									<i class="fas fa-bars"></i>
									<?php esc_html_e('All Listing','ivdirectories');?>  </a>
								</li>
								<?php
								}
							?>
							<li class="<?php echo ($active=='all-courses'? 'active':''); ?> ">
								<a href="<?php echo get_permalink(); ?>?&profile=all-courses">
									<i class="fas fa-list-alt"></i>
								<?php esc_html_e('All Courses','ivdirectories');?>  </a>
							</li>
								
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_menunew_listing_listing' ) ) {
									$account_menu_check= get_option('_iv_menunew_listing_listing');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='new-listing'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=new-listing">
									<i class="fas fa-plus-square"></i>
									<?php  esc_html_e('Add New Listing','ivdirectories');?> </a>
								</li>
								<?php
								}
							?>
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_directories_menufavorites' ) ) {
									$account_menu_check= get_option('_iv_directories_menufavorites');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='favorites'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=favorites">
									<i class="fas fa-heart"></i>
									<?php  esc_html_e('My Favorites','ivdirectories');?> </a>
								</li>
								<?php
								}
							?>
							<?php
								$account_menu_check= '';
								if( get_option( '_iv_directories_menuinterested' ) ) {
									$account_menu_check= get_option('_iv_directories_menuinterested');
								}
								if($account_menu_check!='yes'){
								?>
								<li class="<?php echo ($active=='who-is-interested'? 'active':''); ?> ">
									<a href="<?php echo get_permalink(); ?>?&profile=who-is-interested">
									<i class="fas fa-user-plus"></i>
									<?php  esc_html_e('Who is Interested','ivdirectories');?> </a>
								</li>
								<?php
								}
							?>
							<?php     $old_custom_menu = array();
								if(get_option('iv_directories_profile_menu')){
									$old_custom_menu=get_option('iv_directories_profile_menu' );
								}
								$ii=1;
								if($old_custom_menu!=''){
									foreach ( $old_custom_menu as $field_key => $field_value ) { ?>
									<li class="">
										<a href="<?php echo esc_html($field_value); ?>">
											<i class="fa fa-cog"></i>
										<?php echo esc_html($field_key);?> </a>
									</li>
									<?php
									}
								}
							?>
							<li class="<?php echo ($active=='log-out'? 'active':''); ?> ">
								<a href="<?php echo wp_logout_url( home_url() ); ?>" >
									<i class="fas fa-sign-out-alt"></i>
									<?php esc_html_e('Sign out','ivdirectories');?>
								</a>
							</li>
						</ul>
					</div>
					<!-- END MENU -->
					
				</div>

			</div>
		</div>

		<?php ?>
		<div class="col-md-9 col-sm-9 col-xs-12">
			<?php
				if(isset($_GET['profile']) AND $_GET['profile']=='all-post' ){
					include(  wp_iv_directories_template. 'private-profile/profile-all-post-1.php');
					} elseif(isset($_GET['profile']) AND $_GET['profile']=='bidding' ){
					include( wp_iv_directories_template. 'private-profile/bidding-1.php');
					} elseif(isset($_GET['profile']) AND $_GET['profile']=='new-doctor' ){
					include( wp_iv_directories_template. 'private-profile/profile-new-doctor.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='new-listing' ){
					include( wp_iv_directories_template. 'private-profile/new-listing.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='level' ){
					include(  wp_iv_directories_template. 'private-profile/profile-level-1.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='listing-edit' ){
					include(  wp_iv_directories_template. 'private-profile/listing-edit.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='favorites' ){
					include(  wp_iv_directories_template. 'private-profile/my-favorites-1.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='all-courses' ){
					include(  wp_iv_directories_template. 'private-profile/profile-all-courses.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='who-is-interested' ){
					include(  wp_iv_directories_template. 'private-profile/interested-1.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='setting' ){
					include(  wp_iv_directories_template. 'private-profile/profile-setting-1.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='course-add' ){
					include(  wp_iv_directories_template. 'private-profile/course-add.php');
					}elseif(isset($_GET['profile']) AND $_GET['profile']=='course-edit' ){
					include(  wp_iv_directories_template. 'private-profile/course-edit.php');
				}
				else{
					include(  wp_iv_directories_template. 'private-profile/profile-all-post-1.php');
				}
			?>
		</div>
	</div>
</div>
<?php

	$currencyCode = get_option('_iv_directories_api_currency');
	wp_enqueue_script('epmyaccount-script-27', wp_iv_directories_URLPATH . 'admin/files/js/my-account.js');
	wp_localize_script('epmyaccount-script-27', 'realpro', array(
	'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	'wp_iv_directories_URLPATH'		=> wp_iv_directories_URLPATH,
	'current_user_id'	=>get_current_user_id(),
	'SetImage'		=>esc_html__('Set Image','ivdirectories'),
	'GalleryImages'=>esc_html__('Gallery Images','ivdirectories'),
	'cancel-message' => esc_html__('Are you sure to cancel this Membership','ivdirectories'),
	'currencyCode'=>  $currencyCode,
	'myaccount'=> wp_create_nonce("myaccount"),
	'signup2'=> wp_create_nonce("signup2"),
	'signup'=> wp_create_nonce("signup"),
	'contact'=> wp_create_nonce("contact"),
	'permalink'=> get_permalink(),
	"sProcessing"=>  esc_html__('Processing','ivdirectories'),
	"sSearch"=>   esc_html__('Search','ivdirectories'),
	"lengthMenu"=>   esc_html__('Display _MENU_ records per page','ivdirectories'),
	"zeroRecords"=>  esc_html__('Nothing found - sorry','ivdirectories'),
	"info"=>  esc_html__('Showing page _PAGE_ of _PAGES_','ivdirectories'),
	"infoEmpty"=>   esc_html__('No records available','ivdirectories'),
	"infoFiltered"=>  esc_html__('(filtered from _MAX_ total records)','ivdirectories'),
	"sFirst"=> esc_html__('First','ivdirectories'),
	"sLast"=>  esc_html__('Last','ivdirectories'),
	"sNext"=>     esc_html__('Next','ivdirectories'),
	"sPrevious"=>  esc_html__('Previous','ivdirectories'),
	) );
?>
