<?php
	wp_enqueue_style('wp-iv_directories-piblic-11', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap.css');
	wp_enqueue_script('iv_directories-piblic-12', wp_iv_directories_URLPATH . 'admin/files/js/bootstrap.min.js');
	wp_enqueue_style('iv_directories-style-64', wp_iv_directories_URLPATH . 'assets/cube/css/cubeportfolio.min.css');
	wp_enqueue_style('user-public-profile-style', wp_iv_directories_URLPATH .'admin/files/css/user-public-profile.css', array(), $ver = false, $media = 'all');
	wp_enqueue_style('profile_template2_inline_css', wp_iv_directories_URLPATH . 'admin/files/css/profile_template2.css');
	wp_enqueue_style('font-awesome', wp_iv_directories_URLPATH . 'admin/files/css/font-awesome/css/font-awesome.min.css');
	$display_name='';
	$email='';
	$user_id=1;
	if(isset($_REQUEST['id'])){
		$author_name= sanitize_text_field($_REQUEST['id']);
		$user = get_user_by( 'slug', $author_name );
		if(isset($user->ID)){
			$user_id=$user->ID;
			$display_name=$user->display_name;
			$email=$user->user_email;
		}
		}else{
		global $current_user;
		$user_id=$current_user->ID;
		$display_name=$current_user->display_name;
		$email=$current_user->user_email;
		if($user_id==0){
			$user_id=1;
		}
	}
	$iv_profile_pic_url=get_user_meta($user_id, 'iv_profile_pic_url',true);
	$default_post_type = array();
	$postkey= array();
	$post_set=get_option('_iv_directory_url_postype' );
	if($post_set!=""){
		$default_fields=get_option('_iv_directory_url_postype' );
		}else{
		$default_fields['university']='University';
		$default_fields['college']='College';
		$default_fields['school']='School';
	}
	foreach($default_fields as $key => $value)
	{
		$postkey[] = $key;
	}
	$post_type = join("','",$postkey);
	$color_setting=get_option('_dir_color');
	if($color_setting==""){$color_setting='#0099fe';}
	$color_setting=str_replace('#','',$color_setting);
?>
<style media="screen">
	#profile-template-5 .active-li{
	border: 1px solid #<?php echo esc_html($color_setting); ?>;
	background:#<?php echo esc_html($color_setting); ?>
	}
</style>
<div id="profile-template-5" class="bootstrap-wrapper around-separetor public-profile-content">
	<div class="wrapper">
		<div class="row margin-top-10">
			<div class="col-md-4 col-sm-4">
				<div class="profile-sidebar">
					<div class="portlet light profile-sidebar-portlet">					
						<div class="profile-userpic text-center">
							<?php
								if($iv_profile_pic_url!=''){ ?>
								<img src="<?php echo esc_url($iv_profile_pic_url); ?>">
								<?php
									}else{
									echo'	 <img src="'. wp_iv_directories_URLPATH.'assets/images/Blank-Profile.jpg" class="agent">';
								}
							?>
						</div>						
						<div class="profile-usertitle">
							<div class="profile-usertitle-name">
								<?php
									$name_display=get_user_meta($user_id,'first_name',true).' '.get_user_meta($user_id,'last_name',true);
								echo (trim($name_display)!=""? $name_display : $display_name );?>
							</div>
							<div class="profile-usertitle-job">
								<?php echo get_user_meta($user_id,'occupation',true); ?>
							</div>
						</div>
					</div>				
					<div class="portlet portlet0 light">						
						<div>
							<h4 class="profile-desc-title"><?php esc_html_e('About','ivdirectories'); ?>     <?php
								$name_display=get_user_meta($user_id,'first_name',true).' '.get_user_meta($user_id,'last_name',true);
							echo (trim($name_display)!=""? $name_display : $display_name );?>
							</h4>
							<span class="profile-desc-text"> <?php echo get_user_meta($user_id,'description',true); ?> </span>
							<?php
								if( get_user_meta($user_id,'hide_phone',true)==''){ ?>
								<div class="margin-top-20 profile-desc-text">
									<strong class="desc-title"><i class="fa fa-phone"></i><?php esc_html_e('Phone:','ivdirectories'); ?> </strong><?php echo ''. get_user_meta($user_id,'phone',true); ?>
								</div>
								<?php
								}
								if( get_user_meta($user_id,'hide_mobile',true)==''){ ?>
								<div class="margin-top-20 profile-desc-text">
									<strong class="desc-title"><i class="fa fa-mobile"></i><?php esc_html_e('Mobile:','ivdirectories'); ?> </strong><?php echo ''. get_user_meta($user_id,'mobile',true); ?>
								</div>
								<?php
								}
								if( get_user_meta($user_id,'hide_email',true)==''){ ?>
								<div class="margin-top-20 profile-desc-text"
								><strong class="desc-title small-icon"><i class="fa fa-envelope"></i><?php esc_html_e('Email:','ivdirectories'); ?> </strong>
									<a href="mailto:<?php echo esc_html($email); ?>">
										<?php echo esc_html($email); ?>
									</a>
								</div>
								<?php
								}
							?>
							<div class="margin-top-20 profile-desc-text"
							><strong class="desc-title"><i class="fa fa-globe"></i><?php esc_html_e('Website:','ivdirectories'); ?> </strong>
								<a href="<?php  echo get_user_meta($user_id,'web_site',true); ?>">
									<?php  echo get_user_meta($user_id,'web_site',true);  ?>
								</a>
							</div>
							<h4 class="profile-desc-title margin-top-40"><?php esc_html_e('Social Profile','ivdirectories'); ?> </h4>
							<div class="social-info">
								<div class="profile-desc-link">
									<a href="www.twitter.com/<?php  echo get_user_meta($user_id,'twitter',true);  ?>/"><i class="fa fa-twitter-square"></i>
									</a>
								</div>
								<div class="profile-desc-link">
									<a href="www.facebook.com/<?php  echo get_user_meta($user_id,'facebook',true);  ?>/"><i class="fa fa-facebook-square"></i></a>
								</div>   
							</div>
						</div>
					</div>					
				</div>
			</div>
			<div class="col-md-8 col-sm-8">
				<div class="profile-content">
					<div class="portlet-title tabbable-line clearfix">
						<div class="caption caption-md">
							<i class="icon-globe theme-font hide"></i>
							<span class="caption-subject font-blue-madison bold uppercase"><?php esc_html_e('User Post','ivdirectories'); ?> </span>
						</div>
					</div>
					<div class="portlet-body">
						<div class="tab-content">						
							<div class="tab-pane active" id="tab_1_1">
								<div class="main row padding-left-10 text-center">
									<?php
										global $wpdb;
										$iv_post='directories';
										$per_page=8;
										$row_strat=0;$row_end=$per_page;
										$current_page=0 ;
										if(isset($_REQUEST['cpage']) and $_REQUEST['cpage']!=1 ){
											$current_page=sanitize_text_field($_REQUEST['cpage']); $row_strat =($current_page-1)*$per_page;
											$row_end=$per_page;
										}
										$sql=$wpdb->prepare("SELECT * FROM $wpdb->posts WHERE post_type IN ('$post_type' ) and post_author='%d' and post_status IN ('publish') ORDER BY  ID DESC  limit %d,%d ", $user_id,$row_strat,$row_end);
										$authpr_post = $wpdb->get_results($sql);
										$total_post=count($authpr_post);
										if($total_post>0){
											$i=0;
											foreach ( $authpr_post as $row )
											{?>
											<div class="col-md-6 text-left">
												<div class="view view-tenth ">
													<?php
														if ( get_the_post_thumbnail( $row->ID, 'thumbnail' )!="" ) {
															echo get_the_post_thumbnail( $row->ID, 'medium',array( 'class' => "home-img") );
															}else{
															$feature_img= wp_iv_directories_URLPATH."/assets/images/default-directory.jpg";
														?>
														<img src="<?php echo esc_html($feature_img);?>">
														<?php
														}
													?>
													<div class="mask">
														<h4> <?php echo esc_html($row->post_title);?></h4>
														<p><a href="<?php echo get_permalink( $row->ID ); ?>"><i class="fa fa-link"></i></a></p>
													</div>
												</div>
												<div class="view-details">
													<h3 class="post-onprofile-header text-left"><a href="<?php echo get_permalink( $row->ID ); ?>" class="post-list-header"><?php echo substr($row->post_title,0,22);?></a></h3>
													<p class="post-onprofile text-left">
														<?php
															$content_2 =  $row->post_content;
														?></p>
														<p class="date">
															<?php esc_html_e('Post on :','ivdirectories'); ?>
															<?php echo date('d M Y',strtotime($row->post_date)); ?>
														</p>
												</div>
											</div>
											<?php
											}
										}
									?>
								</div>
							</div>							
							<div class="center"><?php
								$sql2=$wpdb->prepare("SELECT * FROM $wpdb->posts WHERE post_type IN ('$post_type' ) and post_author='%d' and post_status IN ('publish') ",$user_id );
								$authpr_post2 = $wpdb->get_results($sql2);
								$total_post=count($authpr_post2);
								$total_page= $total_post/$per_page;
								$total_page=ceil( $total_page);
								if($total_page>1){
									$current_page =($current_page==''? '1': $current_page );
									echo ' <ul class="iv-pagination">';
									for($i=1;$i<= $total_page;$i++){
										echo '<li class="'.($i==$current_page  ? 'active-li': '').' list-pagi"><a href="'.get_permalink().'?&profile=all-post&cpage='.$i.'"> '.$i.'</a></li>';
									}
									echo'</ul>';
								}
							?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
	wp_enqueue_script('iv_directories-script-12', wp_iv_directories_URLPATH . 'admin/files/js/public-profile.js');
?>