"use strict";

function initialize() {}
function cs_toggle_street_view(btn) {
  var toggle = panorama.getVisible();
  if (toggle == false) {
    if (btn == "streetview") {
      panorama.setVisible(true);
    }
  } else {
    if (btn == "mapview") {
      panorama.setVisible(false);
    }
  }
}
google.maps.event.addDomListener(window, "load", initialize);
jQuery("#search_toggle_div").on("click", function (e) {
  setTimeout(function () {
    initialize();
    google.maps.event.trigger(map, "resize");
  }, 500);
});
jQuery("#map_toggle_div").on("click", function (e) {
  setTimeout(function () {
    initialize();
    google.maps.event.trigger(map, "resize");
  }, 500);
});

function initialize_address() {
  var input = document.getElementById("address");
  var autocomplete = new google.maps.places.Autocomplete(input);
  google.maps.event.addListener(autocomplete, "place_changed", function () {
    var place = autocomplete.getPlace();
    document.getElementById("latitude").value = place.geometry.location.lat();
    document.getElementById("longitude").value = place.geometry.location.lng();
  });
}
google.maps.event.addDomListener(window, "load", initialize_address);
jQuery('input[name="range"]').on("change", function () {
  jQuery("#rvalue").html(jQuery(this).val());
  jQuery("#range_value").val(jQuery(this).val());
});
function toggle_top_map(divId) {
  jQuery("#" + divId).toggle("slow");
}
function toggle_top_search(divId) {
  jQuery("#" + divId).toggle("slow");
  initialize();
  google.maps.event.trigger(map, "resize");
}
function contact_send_message_iv(){
	
		var formc = jQuery("#message-pop");
			if (jQuery.trim(jQuery("#email_address",formc).val()) == "" || jQuery.trim(jQuery("#name",formc).val()) == "" || jQuery.trim(jQuery("#message-content",formc).val()) == "") { 
            alert(dirpro_data.message);
        } else {
			var ajaxurl = dirpro_data.ajaxurl;
			var loader_image =  dirpro_data.loading_image;
				jQuery('#update_message_popup').html(loader_image);
				var search_params={
					"action"  : 	"iv_directories_message_send",
					"form_data":	jQuery("#message-pop").serialize(),
					"_wpnonce":  	dirpro_data.dirwpnonce,
				};
				jQuery.ajax({
					url : ajaxurl,
					dataType : "json",
					type : "post",
					data : search_params,
					success : function(response){
						jQuery('#update_message_popup').html(response.msg );
						jQuery("#message-pop").trigger('reset');
					}
				});
		}

}