<?php
	global $wpdb;
	$package_id='';
	if(isset($_REQUEST['id'])){
		$package_id=sanitize_text_field($_REQUEST['id']);
	}
	$form_meta_data= get_post_meta( $package_id,'iv_directories_content',true);
	$row = $wpdb->get_row($wpdb->prepare("SELECT * FROM $wpdb->posts WHERE id = '%s' ",$package_id));
?>
<div class="bootstrap-wrapper">
	<div class="welcome-panel container-fluid">
		<div class="row">
			<div class="col-xs-12" id="submit-button-holder">
				<div class="pull-right"><button class="btn btn-info btn-lg" onclick="return update_the_package();"><?php esc_html_e('Update Package', 'ivdirectories' ); ?></button></div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Update Package / Membership Level', 'ivdirectories' ); ?><br /><small> &nbsp;</small> </h3>
			</div>
		</div>
		<form id="package_form_iv" name="package_form_iv" class="form-horizontal" role="form" onsubmit="return false;">
			<input type="hidden"  name="package_id" value="<?php echo esc_html($package_id); ?>">
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Package Name', 'ivdirectories' ); ?></label>
				<div class="col-md-6">
					<input type="text" class="form-control" name="package_name" id="package_name" value="<?php echo esc_html($row->post_title); ?>"placeholder="<?php esc_html_e('Enter Package Name', 'ivdirectories' ); ?>">
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Package Feature List', 'ivdirectories' ); ?></label>
				<div class="col-md-6">
					<textarea class="form-control" name="package_feature" id="package_feature" placeholder="<?php esc_html_e('Enter Feature List ', 'ivdirectories' ); ?>" rows="5"><?php echo esc_html($row->post_content); ?></textarea>
					<?php esc_html_e(' It will display on price list table', 'ivdirectories' ); ?>
				</div>
			</div>
			<h3 class="page-header"> <?php esc_html_e('Billing Details', 'ivdirectories' ); ?></h3>
			<div class="form-group">
				<label for="inputEmail3" class="col-md-2 control-label"><?php esc_html_e('Initial Payment', 'ivdirectories' ); ?></label>
				<div class="col-md-6">
					<input type="text" class="form-control" id="package_cost" name="package_cost" value="<?php echo get_post_meta($package_id, 'iv_directories_package_cost', true); ?>"  placeholder="<?php esc_html_e('Enter Initial Payment', 'ivdirectories' ); ?>">
					<?php esc_html_e('The Initial Amount Collected at User Registration.', 'ivdirectories' ); ?>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('Package Expire After', 'ivdirectories' ); ?></label>
				<div class="col-md-2">
					<select id="package_initial_expire_interval" name="package_initial_expire_interval" class="ctrl-combobox form-control">
						<?php
							$package_initial_period_interval= get_post_meta($package_id, 'iv_directories_package_initial_expire_interval', true);
							echo '<option value="">None</option>';
							for($ii=1;$ii<31;$ii++){
								echo '<option value="'.esc_html($ii).'" '.($package_initial_period_interval == $ii ? 'selected' : '').'>'.esc_html($ii).'</option>';
							}
						?>
					</select>
				</div>
				<div class="col-md-4">
					<?php
						$package_initial_expire_type= get_post_meta($package_id, 'iv_directories_package_initial_expire_type', true);
					?>
					<select name="package_initial_expire_type" id ="package_initial_expire_type" class=" form-control">
						<option value="">
							<?php esc_html_e('None', 'ivdirectories' ); ?>
						</option>
						<option value="day" <?php echo ($package_initial_expire_type == 'day' ? 'selected' : '') ?>>
							<?php esc_html_e('Day(s)', 'ivdirectories' ); ?>
						</option>
						<option value="week" <?php echo ($package_initial_expire_type == 'week' ? 'selected' : '') ?>>
							<?php esc_html_e('Week(s)', 'ivdirectories' ); ?>
						</option>
						<option value="month" <?php echo ($package_initial_expire_type == 'month' ? 'selected' : '') ?>>
							<?php esc_html_e('Month(s)', 'ivdirectories' ); ?>
						</option>
						<option value="year" <?php echo ($package_initial_expire_type == 'year' ? 'selected' : '') ?>>
							<?php esc_html_e('Year(s)', 'ivdirectories' ); ?>
						<?php esc_html_e('xxx', 'ivdirectories' ); ?></option>
					</select>
				</div>
				<div class='col-md-12'><label for="text" class="col-md-2 control-label"></label>
					<?php esc_html_e('If select none then user\'s package will expire after 19 years. Package Expire Option will not work on Recurring Subscription. "Billing Cycle Limit" will Work For Recurring Subscription.', 'ivdirectories' ); ?>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"> <?php esc_html_e('Recurring Subscription', 'ivdirectories' ); ?></label>
				<div class="col-md-6 ">
					<label>
						<input type="checkbox"  <?php echo (get_post_meta($package_id, 'iv_directories_package_recurring', true)=='on'?'checked': ''); ?> name="package_recurring" id="package_recurring" value="on" >
						<?php esc_html_e('Enable Recurring Payment', 'ivdirectories' ); ?>
					</label>
				</div>
			</div>
			<div id="recurring_block" style="display:<?php echo (get_post_meta($package_id, 'iv_directories_package_recurring', true)=='on'?'': 'none'); ?>" >
				<div class="form-group">
					<label for="text" class="col-md-2 control-label">
						<?php esc_html_e('Billing Amount', 'ivdirectories' ); ?>
					</label>
					<div class="col-md-2">
						<input type="text" class="form-control" value="<?php echo get_post_meta($package_id, 'iv_directories_package_recurring_cost_initial', true); ?>" name ="package_recurring_cost_initial" id="package_recurring_cost_initial" placeholder="<?php esc_html_e('Amount', 'ivdirectories' ); ?>">
					</div>
					<label for="text" class="col-md-1 control-label"><?php esc_html_e('Per', 'ivdirectories' ); ?></label>
					<div class="col-md-1">
						<input type="text" class="form-control" value="<?php echo get_post_meta($package_id, 'iv_directories_package_recurring_cycle_count', true); ?>" id="package_recurring_cycle_count" name="package_recurring_cycle_count" placeholder="<?php esc_html_e('Cycle #', 'ivdirectories' ); ?>">
					</div>
					<div class="col-md-2">
						<?php $package_recurring_cycle_type= get_post_meta($package_id, 'iv_directories_package_recurring_cycle_type', true); ?>
						<select name="package_recurring_cycle_type" id ="package_recurring_cycle_type" class="form-control">
							<option value="day" <?php echo ($package_recurring_cycle_type == 'day' ? 'selected' : '') ?>>
								<?php esc_html_e('Day(s)', 'ivdirectories' ); ?>
							</option>
							<option value="week" <?php echo ($package_recurring_cycle_type == 'week' ? 'selected' : '') ?>>
								<?php esc_html_e('Week(s)', 'ivdirectories' ); ?>
							</option>
							<option value="month" <?php echo ($package_recurring_cycle_type == 'month' ? 'selected' : '') ?>>
								<?php esc_html_e('Month(s)', 'ivdirectories' ); ?>
							</option>
							<option value="year" <?php echo ($package_recurring_cycle_type == 'year' ? 'selected' : '') ?>>
								<?php esc_html_e('Year(s)', 'ivdirectories' ); ?>
							</option>
						</select>
					</div>
					<div class='col-md-12'><label for="text" class="col-md-2 control-label"></label>
						<?php esc_html_e('The "Billing Amount" will Collect at User Registration.', 'ivdirectories' ); ?>
					</div>
				</div>
				<?php
					if(get_option('iv_directories_payment_gateway')!='woocommerce'){
					?>
					<div class="form-group">
						<label for="text" class="col-md-2 control-label">
							<?php esc_html_e('Billing Cycle Limit', 'ivdirectories' ); ?>
						</label>
						<div class="col-md-2">
							<select name="package_recurring_cycle_limit" id ="package_recurring_cycle_limit" class="ctrl-combobox form-control">
								<option value=""><?php esc_html_e('Never', 'ivdirectories' ); ?></option>
								<?php
									$package_recurring_cycle_limit= get_post_meta($package_id, 'iv_directories_package_recurring_cycle_limit', true);
									for($ii=1;$ii<35;$ii++){
										echo '<option value="'.esc_html($ii).'" '.($package_recurring_cycle_limit == $ii ? 'selected' : '').'>'.esc_html($ii).'</option>';
									}
								?>
							</select>
						</div>
					</div>
					<div class="form-group">
						<label for="text" class="col-md-2 control-label"> Trial</label>
						<div class="col-md-6 ">
							<label>
								<input type="checkbox" <?php echo (get_post_meta($package_id, 'iv_directories_package_enable_trial_period', true)=='yes'? 'checked': ''); ?> name="package_enable_trial_period" id="package_enable_trial_period" value='yes'> <?php esc_html_e('Enable Trial Period', 'ivdirectories' ); ?>
							</label>
							<br/>
							<?php esc_html_e('"Billing Amount" will Collect After Trial Period.', 'ivdirectories' ); ?>
						</div>
					</div>
					<div id="trial_block" style="display:<?php echo (get_post_meta($package_id, 'iv_directories_package_enable_trial_period', true)=='yes'? '': 'none'); ?>" >
						<div class="form-group">
							<label for="inputEmail3" class="col-md-2 control-label"><?php esc_html_e('Trial Amount', 'ivdirectories' ); ?></label>
							<div class="col-md-6">
								<input type="text" class="form-control" value="<?php echo get_post_meta($package_id, 'iv_directories_package_trial_amount', true); ?>" id="package_trial_amount" name="package_trial_amount" placeholder="<?php esc_html_e('Enter Amount to Bill for The Trial Period', 'ivdirectories' ); ?>">
								<?php esc_html_e('Amount to Bill for The Trial Period. Free is 0.[Stripe will not support this option ]', 'ivdirectories' ); ?>
							</div>
						</div>
						<div class="form-group">
							<label for="text" class="col-md-2 control-label"><?php esc_html_e('Trial Period', 'ivdirectories' ); ?></label>
							<div class="col-md-2">
								<select id="package_trial_period_interval" name="package_trial_period_interval" class="ctrl-combobox form-control">
									<?php
										$package_trial_period_interval= get_post_meta($package_id, 'iv_directories_package_trial_period_interval', true);
										for($ii=1;$ii<31;$ii++){
											echo '<option value="'.esc_html($ii).'" '.($package_trial_period_interval == $ii ? 'selected' : '').'>'.esc_html($ii).'</option>';
										}
									?>
								</select>
							</div>
							<div class="col-md-4">
								<?php
									$package_recurring_trial_type= get_post_meta($package_id, 'iv_directories_package_recurring_trial_type', true);
								?>
								<select name="package_recurring_trial_type" id ="package_recurring_trial_type" class=" form-control">
									<option value="day" <?php echo ($package_recurring_trial_type == 'day' ? 'selected' : '') ?>>
										<?php esc_html_e('Day(s)', 'ivdirectories' ); ?>
									</option>
									<option value="week" <?php echo ($package_recurring_trial_type == 'week' ? 'selected' : '') ?>>
										<?php esc_html_e('Week(s)', 'ivdirectories' ); ?>
									</option>
									<option value="month" <?php echo ($package_recurring_trial_type == 'month' ? 'selected' : '') ?>>
										<?php esc_html_e('Month(s)', 'ivdirectories' ); ?>
									</option>
									<option value="year" <?php echo ($package_recurring_trial_type == 'year' ? 'selected' : '') ?>>
										<?php esc_html_e('Year(s)', 'ivdirectories' ); ?>
									</option>
								</select>
							</div>
							<div class='col-md-12'><label for="text" class="col-md-2 control-label"></label>
								<?php esc_html_e('After The Trial Period "Billing Amount" Will Be Billed.', 'ivdirectories' ); ?>
							</div>
						</div>
					</div> <!-- Trial Block -->
					<?php
					}
				?>
			</div> <!-- Recurring Block -->
			<?php
				if(get_option('iv_directories_payment_gateway')=='woocommerce'){
					if ( class_exists( 'WooCommerce' ) ) {
						$woo_pro= get_post_meta($package_id, 'iv_directories_package_woocommerce_product', true);
					?>
					<div class="form-group">
						<label for="text" class="col-md-2 control-label"><?php esc_html_e('Woocommerce Product','epphotographer'); ?></label>
						<div class="col-md-3">
							<select  class="form-control" id="Woocommerce_product" name="Woocommerce_product">
								<?php
									$sql="SELECT * FROM $wpdb->posts where post_type='product'  and post_status='publish'";
									$product_rows = $wpdb->get_results($sql);
									if(sizeof($product_rows)>0){
										foreach ( $product_rows as $row )
										{	$selected='';
											if($woo_pro==$row->ID){$selected=' selected';}
											echo '<option value="'.esc_html($row->ID).'"'.esc_html($selected).' >'.esc_html($row->post_title).' </option>';
										}
									}
								?>
							</select>
						</div>
					</div>
					<?php
					}
				}
			?>
			<h3 class="page-header"> <?php esc_html_e('Access Control/Options','ivdirectories'); ?> </h3>
			<div class="form-group">
				<label for="text" class="col-md-2  control-label"><?php esc_html_e('Maximum listing','ivdirectories'); ?> </label>
				<div class="col-md-6">
					<input type="text" class="form-control" name="max_pst_no" id="max_pst_no" placeholder="<?php esc_html_e('Enter Max Number', 'ivdirectories' ); ?>" value="<?php echo get_post_meta($package_id,'iv_directories_package_max_post_no',true); ?>">
					<?php esc_html_e('Maximum # of post by this package. Blank is none.','ivdirectories'); ?>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"><?php esc_html_e('listing Visibility','ivdirectories'); ?>  </label>
				<div class="col-md-6 ">
					<label>
						<input type="checkbox" name="listing_hide" id="listing_hide"  value='yes' <?php echo (get_post_meta($package_id,'iv_directories_package_hide_exp',true)=='yes'?'checked':'' ); ?>> <?php esc_html_e('listing will hide after user subscription expire.','ivdirectories'); ?>
					</label>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"> <?php esc_html_e('listing Event','ivdirectories'); ?> </label>
				<div class="col-md-6 ">
					<label>
						<input type="checkbox" name="listing_event" id="listing_event"  value='yes'  <?php echo (get_post_meta($package_id,'iv_directories_package_event',true)=='yes'?'checked':'' ); ?>> <?php esc_html_e('Can Add Event.','ivdirectories'); ?>
					</label>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"> <?php esc_html_e('listing Videos','ivdirectories'); ?> </label>
				<div class="col-md-6 ">
					<label>
						<input type="checkbox" name="listing_video" id="listing_video"  value='yes'  <?php echo (get_post_meta($package_id,'iv_directories_package_video',true)=='yes'?'checked':'' ); ?> > <?php esc_html_e('Can Add Videos.','ivdirectories'); ?>
					</label>
				</div>
			</div>
			<div class="form-group">
				<label for="text" class="col-md-2 control-label"> <?php esc_html_e('listing Award','ivdirectories'); ?> </label>
				<div class="col-md-6 ">
					<label>
						<input type="checkbox" name="listing_award" id="listing_award"  value='yes'  <?php echo (get_post_meta($package_id,'iv_directories_package_award',true)=='yes'?'checked':'' ); ?> > <?php esc_html_e('Can Add Award.','ivdirectories'); ?>
					</label>
				</div>
			</div>
		</form>
		<div class="row">
			<div class="col-xs-12">
				<div align="center">
					<div id="loading"></div>
				<button class="btn btn-info btn-lg" onclick="return update_the_package();"><?php esc_html_e('Update Package', 'ivdirectories' ); ?></button></div>
				<p>&nbsp;</p>
			</div>
		</div>
	</div>
</div>