<?php
	$dir_map_api=get_option('_dir_map_api');
	wp_enqueue_style('jquery.dataTables', wp_iv_directories_URLPATH . 'admin/files/css/jquery.dataTables.css');
	wp_enqueue_script('jquery.dataTables', wp_iv_directories_URLPATH . 'admin/files/js/jquery.dataTables.js');
?>

<div class="profile-content">
	<span class="caption-subject"> <?php esc_html_e('Edit Course','ivdirectories'); ?></span>
	<hr>
	<div class="portlet-body">
		<div class="" id="tab_1_1">
			<?php
				global $wpdb;
				// Check Max\
				$package_id=get_user_meta($current_user->ID,'iv_directories_package_id',true);
				$max=get_post_meta($package_id, 'iv_directories_package_max_post_no', true);
				$curr_post_id=$_REQUEST['post-id'];
				$current_post = $curr_post_id;
				$post_edit = get_post($curr_post_id);
				$have_edit_access='yes';
				$exp_date= get_user_meta($current_user->ID, 'iv_directories_exprie_date', true);
				if($exp_date!=''){
					$package_id=get_user_meta($current_user->ID,'iv_directories_package_id',true);
					$dir_hide= get_post_meta($package_id, 'iv_directories_package_hide_exp', true);
					if($dir_hide=='yes'){
						if(strtotime($exp_date) < time()){
							$have_edit_access='no';
						}
					}
				}
				if($post_edit->post_author != $current_user->ID ){
					$have_edit_access='no';
				}
				if(isset($current_user->roles[0]) and $current_user->roles[0]=='administrator'){
					$have_edit_access='yes';
				}
				if ( $have_edit_access=='no') {
					$iv_redirect = get_option( '_iv_directories_login_page');
					$reg_page= get_permalink( $iv_redirect);
				?>
				<?php esc_html_e('Please ','ivdirectories'); ?>
				<a href="<?php echo esc_html($reg_page).'?&profile=level'; ?>" ><b><?php esc_html_e('Login or upgrade ','ivdirectories'); ?> </b></a>
				<?php esc_html_e('To Edit The Post.','ivdirectories'); ?>
				<?php
					}else{
					$title = $post_edit->post_title;
					$content = $post_edit->post_content;
					$post_type=$post_edit->post_type;
				?>
				<div class="row">
					<div class="col-md-12">
						<form action="" id="edit_post" name="edit_post"  method="POST" role="form">
							<div class=" form-group">
								<label for="text" class=" control-label"><?php esc_html_e('Listing Type','ivdirectories'); ?></label>
								<div class="">
									<?php
										$cpt = array();
										$cpt['courses']='Courses';
										$i=1;$old_select=$post_type;
										echo "<select id='cpt_page' name='cpt_page' class='form-control'>";
										foreach ( $cpt as $field_key => $field_value ) {
											echo "<option value='{$field_key}' ".($old_select==$field_key ? 'selected':'').">{$field_value}</option>";
										}
										echo "</select>";
									?>
								</div>
							</div>
							<div class=" form-group">
								<label for="text" class=" control-label"><?php esc_html_e('Name/Title','ivdirectories'); ?></label>
								<div class="  ">
									<input type="text" class="form-control" name="title" id="title"  placeholder="<?php esc_html_e('Enter listing Name Here','ivdirectories'); ?>" value="<?php echo esc_html($title);?>">
								</div>
							</div>
							<div class="form-group">
								<div class=" ">
									<?php
										$settings_a = array(
										'textarea_rows' =>8,
										'editor_class' => 'form-control',
										);
										$content_client =$content;
										$editor_id = 'edit_post_content';
										wp_editor($content_client, $editor_id,$settings_a );
									?>
								</div>
							</div>
							
							<div class=" row form-group ">
								<label for="text" class=" col-md-5 control-label"><?php esc_html_e('Feature Image','ivdirectories'); ?>  </label>
								<div class="col-md-4" id="post_image_div">
									<?php $feature_image = wp_get_attachment_image_src( get_post_thumbnail_id( $curr_post_id ), 'thumbnail' );
										if($feature_image[0]!=""){ ?>
										<img title="profile image" class=" img-responsive" src="<?php  echo esc_html($feature_image[0]); ?>">
										<?php
										}else{ ?>
										<a href="javascript:void(0);" onclick="edit_post_image('post_image_div');"  >
											<?php  echo '<img src="'. wp_iv_directories_URLPATH.'assets/images/image-add-icon.png">'; ?>
										</a>
										<?php
										}
										$feature_image_id=get_post_thumbnail_id( $curr_post_id );
									?>
								</div>
								<input type="hidden" name="feature_image_id" id="feature_image_id" value="<?php echo esc_html($feature_image_id); ?>">
								<div class="col-md-3" id="post_image_edit">
									<button type="button" onclick="edit_post_image('post_image_div');"  class="btn btn-xs green-haze"><?php esc_html_e('Add','ivdirectories'); ?> </button>
								</div>
							</div>
							<div class=" row form-group ">
								<label for="text" class=" col-md-12 control-label"><?php esc_html_e('Post Status','ivdirectories'); ?>  </label>
								<div class="col-md-12" id="">
									<select name="post_status" id="post_status"  class="form-control">
										<?php
											$dir_approve_publish =get_option('_dir_approve_publish');
											if($dir_approve_publish!='yes'){?>
											<option value="publish" <?php echo (get_post_status( $post_edit->ID )=='publish'?'selected="selected"':'' ) ; ?>><?php esc_html_e('Publish','ivdirectories'); ?></option>
											<?php
												}else{
												if(isset($current_user->roles[0]) and $current_user->roles[0]=='administrator'){?>
												<option value="publish"><?php esc_html_e('Publish','ivdirectories'); ?></option>
												<?php
												}
											?>
											<option value="pending" <?php echo (get_post_status( $post_edit->ID )=='pending'?'selected="selected"':'' ) ; ?>><?php esc_html_e('Pending Review','ivdirectories'); ?></option>
											<?php
											}
										?>
										<option value="draft" <?php echo (get_post_status( $post_edit->ID )=='draft'?'selected="selected"':'' ) ; ?> ><?php esc_html_e('Draft', 'ivdirectories' ); ?></option>
									</select>
								</div>
							</div>
							<div class="clearfix"></div>
							<div class=" row form-group">
								<label for="text" class=" col-md-12 control-label"><?php esc_html_e('Category','ivdirectories'); ?></label>
								<div class=" col-md-12 ">
									<?php
										$currentCategory=wp_get_object_terms( $post_edit->ID, $post_type.'-category');
										$post_cats=array();
										foreach($currentCategory as $c)
										{
											array_push($post_cats,$c->slug);
										}
										$selected='';
										echo '<select name="postcats[]" class="form-control " multiple="multiple" size="8">';
										echo'	<option value="">'.esc_html__('Choose a category','ivdirectories').'</option>';
										//directories
										$taxonomy = $post_type.'-category';
										$args = array(
										'orderby'           => 'name',
										'order'             => 'ASC',
										'hide_empty'        => false,
										'exclude'           => array(),
										'exclude_tree'      => array(),
										'include'           => array(),
										'number'            => '',
										'fields'            => 'all',
										'slug'              => '',
										'parent'            => '0',
										'hierarchical'      => true,
										'child_of'          => 0,
										'childless'         => false,
										'get'               => '',
										);
										$terms = get_terms($taxonomy,$args); // Get all terms of a taxonomy
										if ( $terms && !is_wp_error( $terms ) ) :
										$i=0;
										foreach ( $terms as $term_parent ) {
											if(in_array($term_parent->slug,$post_cats)){
												$selected=$term_parent->slug;
											}
										?>
										<?php
											echo '<option  value="'.$term_parent->slug.'" '.($selected==$term_parent->slug?'selected':'' ).'><strong>'.$term_parent->name.'<strong></option>';
										?>
										<?php
											$args2 = array(
											'type'                     => $post_type,
											'parent'                   => $term_parent->term_id,
											'orderby'                  => 'name',
											'order'                    => 'ASC',
											'hide_empty'               => 0,
											'hierarchical'             => 1,
											'exclude'                  => '',
											'include'                  => '',
											'number'                   => '',
											'taxonomy'                 => $post_type.'-category',
											'pad_counts'               => false
											);
											$categories = get_categories( $args2 );
											if ( $categories && !is_wp_error( $categories ) ) :
											foreach ( $categories as $term ) {
												if(in_array($term->slug,$post_cats)){
													$selected=$term->slug;
												}
												echo '<option  value="'.esc_html($term->slug).'" '.($selected==$term->slug?'selected':'' ).'>-->'.esc_html($term->name).'</option>';
											}
											endif;
										?>
										<?php
											$i++;
										}
										endif;
										echo '</select>';
									?>
								</div>
							</div>
							
							<div class=" form-group row">
								<div class="col-md-12 ">
									<label for="text" class=" control-label  "><?php esc_html_e('Estimated Costs','ivdirectories'); ?></label>
									<input type="text" class="form-control col-md-8 " name="estimated_cost" id="estimated_cost"  value="<?php echo get_post_meta($post_edit->ID,'estimated_cost',true); ?>">
								</div>
								
							</div>
							<div class=" form-group row">
							<div class="col-md-12 ">
								<label for="text" class=" control-label  "><?php esc_html_e('Program Type','ivdirectories'); ?></label>
								<input type="text" class="form-control col-md-8 " name="program_type" id="program_type"  value="<?php echo get_post_meta($post_edit->ID,'program_type',true); ?>" placeholder="<?php esc_html_e('Enter Program Type Here','ivdirectories'); ?>">
							</div>
							
						</div>
						
									<div class="margiv-top-10">
										<div class="" id="update_message"></div>
										<input type="hidden" name="user_post_id" id="user_post_id" value="<?php echo esc_html($curr_post_id); ?>">
										<button type="button" onclick="iv_update_course();"  class="btn green-haze"><?php esc_html_e('Save Post','ivdirectories'); ?></button>
									</div>
								</form>
							</div>
						</div>
						<?php
						} // for Role
					?>
				</div>
			</div>
		
	</div>
	<!-- END PROFILE CONTENT -->
	<?php
		$my_theme = wp_get_theme();
		$theme_name= strtolower($my_theme->get( 'Name' ));
		wp_enqueue_script('iv_directories-ar-script-27', wp_iv_directories_URLPATH . 'admin/files/js/add-edit-listing.js');
		wp_localize_script('iv_directories-ar-script-27', 'dirpro_data', array(
		'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
		'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
		'current_user_id'	=>get_current_user_id(),
		'image10'	=>esc_html__('image','ivdirectories'),
		'myaccount'=> wp_create_nonce("myaccount"),
		'permalink'=> get_permalink(),
		'wp_iv_directories_URLPATH'=> wp_iv_directories_URLPATH,
		'theme_name'				=> $theme_name,
		) );
		
		
	?>	