<?php
	if(isset($_REQUEST['delete_id']))  {
		$post_id=sanitize_text_field($_REQUEST['delete_id']);
		wp_delete_post($post_id);
		delete_post_meta($post_id,true);
		$message= esc_html__( 'Form Deleted Successfully','ivdirectories');
	}
?>
<div class="bootstrap-wrapper">
	<div class="welcome-panel container-fluid">
		<?php
			if(!isset($_REQUEST['id']))  {
			?>
			<div class="row ">
				<div class="col-md-12" id="submit-button-holder">
					<div class="pull-right ">
						<a class="btn btn-info "  href="<?php echo wp_iv_directories_ADMINPATH; ?>admin.php?page=wp-iv_directories-coupon-create"><?php esc_html_e('Create A New Coupon', 'ivdirectories' ); ?></a>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-12 table-responsive">
					<h3  class="page-header"><?php esc_html_e('Coupon List', 'ivdirectories' ); ?>
						<small >
							<?php
								if (isset($_REQUEST['form_submit']) AND $_REQUEST['form_submit'] <> "") {
									echo  '<span style="color: #0000FF;"> [ The Coupon Create Successfully ]</span>';
								}
								if (isset($message) AND $message <> "") {
									echo  '<span style="color: #0000FF;"> [ '.$message.' ]</span>';
								}
							?>
						</small>
					</h3>
					<table class="table table-striped col-md-12">
						<thead >
							<tr>
								<th><?php esc_html_e('Coupon Code/ Name', 'ivdirectories' ); ?></th>
								<th><?php esc_html_e('Start Date', 'ivdirectories' ); ?></th>
								<th><?php esc_html_e('End Date', 'ivdirectories' ); ?></th>
								<th><?php esc_html_e('Uses Limit', 'ivdirectories' ); ?></th>
								<th><?php esc_html_e('Amount', 'ivdirectories' ); ?> </th>
								<th ><?php esc_html_e('Action', 'ivdirectories' ); ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
								global $wpdb, $post;
								$sql="SELECT * FROM $wpdb->posts WHERE post_type = 'iv_coupon'";
								$products_rows = $wpdb->get_results($sql);
								if(sizeof($products_rows)>0){
									$i=0;
									foreach ( $products_rows as $row )
									{
										echo'<tr>';
										echo '<td>'. esc_html($row->post_title).'</td>';
										echo '<td>'. get_post_meta($row->ID, 'iv_coupon_start_date', true).'</td>';
										echo '<td>'. get_post_meta($row->ID, 'iv_coupon_end_date', true).'</td>';
										echo '<td>'. get_post_meta($row->ID, 'iv_coupon_limit', true).' / '.get_post_meta($row->ID, 'iv_coupon_used', true).' </td>';
										echo '<td>'. get_post_meta($row->ID, 'iv_coupon_amount', true).'</td>';
										echo '<td>  <a class="btn btn-primary btn-xs" href="?page=wp-iv_directories-coupon-update&id='.esc_html($row->ID).'"> '. esc_html__( 'Edit','ivdirectories').'</a> ';
										echo '  <a href="?page=wp-iv_directories-coupons-form&delete_id='.esc_html($row->ID).'" class="btn btn-danger btn-xs" onclick="return confirm(\'Are you sure to delete this form?\');">'. esc_html__( 'Delete','ivdirectories').'</a></td>';
										echo'</tr>';
										$i++;
									}
								}
							?>
						</tbody>
					</table>
					<div class=" col-md-12  bs-callout bs-callout-info">
						<?php esc_html_e('Note : Coupon will work on "One Time Payment" only. Coupon will not work on recurring payment.', 'ivdirectories' ); ?>
					</div>
					.
				</div>
			</div>
			<div class="row">
				<div class="col-md-12">
					<div class="">
						<a class="btn btn-info "  href="<?php echo wp_iv_directories_ADMINPATH; ?>admin.php?page=wp-iv_directories-coupon-create"><?php esc_html_e('Create A New Coupon', 'ivdirectories' ); ?></a>
					</div>
				</div>
			</div>
			<div class="row">
				<br/>
			</div>
			<?php
			}
		?>
	</div>
</div>