<?php
	global $post,$wpdb,$tag;
	wp_enqueue_script("jquery");
	wp_enqueue_style('iv_directories-style-1109', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap.css');
	wp_enqueue_style('iv_directories-fontawesome', wp_iv_directories_URLPATH . 'admin/files/css/fontawesome-5/css/all.min.css');
	wp_enqueue_style('iv_directories-style-11222', wp_iv_directories_URLPATH . 'admin/files/css/listing-style.css');
	wp_enqueue_style('iv_directories-new-style', wp_iv_directories_URLPATH . 'admin/files/css/course_archive_style.css');
	wp_enqueue_style('iv_directories-style-11265', wp_iv_directories_URLPATH . 'admin/files/css/search-form.css');
	wp_enqueue_style('iv_directories_inline_css', wp_iv_directories_URLPATH . 'admin/files/css/inline.css');
	wp_enqueue_style('jquery-ui', 	wp_iv_directories_URLPATH . 'admin/files/css/jquery-ui.css');
	wp_enqueue_script('jquery-ui', 	wp_iv_directories_URLPATH . 'admin/files/js/jquery-ui.min.js');	
	require(wp_iv_directories_DIR .'/admin/files/css/color_style.php');
	$current_post_type= get_post_type();
	if(isset($atts['post_type'])){
		$current_post_type =  $atts['post_type'];
	}
	$post_set=get_option('_iv_directory_url_postype' );
	if($post_set!=""){
		$post_set=get_option('_iv_directory_url_postype' );
		}else{
		$post_set['university']='University';
		$post_set['college']='College';
		$post_set['school']='School';
	}
	$form_action='';
	if ( is_front_page() ) {
		$form_action='action="'.get_post_type_archive_link($current_post_type).'"';
	}
	$ins_lat='37.4419';
	$ins_lng='-122.1419';
	$zipcode='';
	$search_show=0;
	$map_show=0;
	$category_one_shortcode='no';
	$search_button_show='yes';
	$dir_searchbar_show=get_option('_dir_searchbar_show');
	if($dir_searchbar_show=="yes"){$search_show=1;}
	$dir_map_show=get_option('_dir_map_show');
	if($dir_map_show=="yes"){$map_show=1;}
	$search_button_show=get_option('_search_button_show');
	if($search_button_show==""){$search_button_show='yes';}
	$dirs_data =array();
	$tag_arr= array();
	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
	$args = array(
	'post_type' => $current_post_type, // enter your custom post type
	'paged' => $paged,
	'post_status' => 'publish',
	);
	// Add new shortcode only category
	$dir_listing_sort=get_option('_dir_listing_sort');
	if($dir_listing_sort=='ASC'){
		$args['orderby']='title';
		$args['order']='ASC';
	}
	if($dir_listing_sort=='DESC'){
		$args['orderby']='title';
		$args['order']='DESC';
	}
	$lat='';$long='';$keyword_post='';$address='';$postcats ='';$selected='';
	if(get_query_var($current_post_type.'_tag')!=''){
		$post_tag = get_query_var($current_post_type.'_tag');
		$args[$current_post_type.'_tag']=$post_tag;
		$selected_tag=$post_tag;
		$args['posts_per_page']='9999';
	}
	if( isset($_POST[$current_post_type.'_tag'])){
		if($_POST[$current_post_type.'_tag']!=''){
			$postcats = $_POST[$current_post_type.'_tag'];
			$args[$current_post_type.'_tag']=$postcats;
			$selected=$postcats;
			$args['posts_per_page']='9999';
		}
	}
	if(get_query_var($current_post_type.'-category')!=''){
		$postcats = get_query_var($current_post_type.'-category');
		$args[$current_post_type.'-category']=$postcats;
		$selected=$postcats;
		$args['posts_per_page']='9999';
	}
	if( isset($_POST[$current_post_type.'-category'])){
		if($_POST[$current_post_type.'-category']!=''){
			$postcats = $_POST[$current_post_type.'-category'];
			$args[$current_post_type.'-category']=$postcats;
			$selected=$postcats;
			$args['posts_per_page']='9999';
		}
	}
	$radius=get_option('_iv_radius');
	if( isset($_POST['range_value'])){
		$radius = $_POST['range_value'];
	}
	if($radius==''){$radius='50';}
	if( isset($_POST['address'])){
		if($_POST['address']!=""){
			$lat =  sanitize_text_field($_POST['latitude']);
			$long = sanitize_text_field($_POST['longitude']);
			$address=trim($_POST['address']);
		}
	}
	if( isset($_POST['keyword'])){
		if($_POST['keyword']!=""){
			$args['s']= sanitize_text_field($_POST['keyword']);
			$keyword_post=sanitize_text_field($_POST['keyword']);
			$args['posts_per_page']='9999';
		}
	}
	// Meta Query***********************
	$city_mq ='';
	if(isset($_REQUEST['dir_city']) AND $_REQUEST['dir_city']!=''){
		$city_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'city',
		'value'   => sanitize_text_field($_REQUEST['dir_city']),
		'compare' => 'LIKE'
		),
		);
	}
	$country_mq='';
	if(isset($_REQUEST['dir_country']) AND $_REQUEST['dir_country']!=''){
		$country_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'country',
		'value'   => sanitize_text_field($_REQUEST['dir_country']),
		'compare' => 'LIKE'
		),
		);
	}
	$zip_mq='';
	if(isset($_REQUEST['zipcode']) AND $_REQUEST['zipcode']!=''){
		$zip_mq = array(
		'relation' => 'AND',
		array(
		'key'     => 'postcode',
		'value'   => sanitize_text_field($_REQUEST['zipcode']),
		'compare' => 'LIKE'
		),
		);
	}
	$args['meta_query'] = array(
	$city_mq, $country_mq, $zip_mq,
	);
	$dir_load_listing_all=get_option('_dir_load_listing_all');
	if($dir_load_listing_all==""){$dir_load_listing_all='yes';}
	if($dir_load_listing_all=='yes'){$args['posts_per_page']='9999';}
	$the_query = new WP_GeoQuery( $args );
	$main_class = new wp_iv_directories;
?>
<?php
	global $wpdb;	
	$directory_url = get_post_type();
	$main_terms_name='';
	$main_terms_id='';
	$main_terms_description='';
	$taxonomy = $directory_url.'-category';
	if(get_query_var($current_post_type.'-category')!=''){
		$postcats = get_query_var($current_post_type.'-category');		
		$args2= array(					
		'hide_empty'        => false,
		'parent'			 => 1,	
		'fields'            => 'all',					
		'hierarchical'      => true,
		'parent' 			=> 0,
		'child_of'          => $postcats->term_id,
		'childless'         => false,					
		);		
		$main_terms = get_terms($taxonomy,$args2);
		if ( $main_terms && !is_wp_error( $terms ) ) :
		foreach ( $main_terms as $term_one ) {
			if($postcats==$term_one->slug){ 
				$main_terms_name=$term_one->name;
				$main_terms_id=$term_one->term_id;
				$main_terms_slug=$term_one->slug;
				$main_terms_description=$term_one->description;
			}
		}
		endif; 		
	}
	$args = array(
	'type'                     => $directory_url,
	'parent'                   => $main_terms_id,
	'orderby'                  => 'name',
	'order'                    => 'ASC',
	'hide_empty'               => 0,
	'hierarchical'             => 1,
	'exclude'                  => '',
	'include'                  => '',
	'number'                   => '',
	'taxonomy'                 => $directory_url.'-category',
	'pad_counts'               => false
	);
	$terms_allcourse_subcategories = get_terms($taxonomy,$args); // Get all terms of a taxonomy
	$top_number=array();
?>
<div class="bootstrap-wrapper">
	<div class="container pb-5">
		<div class="row">
			<div class="col-md-12 ws_archive">
				<h4 class="ws_cat_top_heading"><?php  
					$course_title=get_option('course_title');	
					if($course_title==""){$course_title=esc_html__('Career Search','ivdirectories');}
				echo esc_html($course_title);?></h4>
				<div class="ws_divider"></div>
				<div class="ws_cat_top_context">
					<h4 class="ws_cat_top_context_h4"><?php echo esc_html($main_terms_name); ?></h4>
					<p class="ws_cat_top_context_p">
						<?php echo $main_terms_description; ?>
					</p>
				</div>
			</div>
			<div class="col-md-12">
				<div class="ws_cat_outer_text">
					<span><?php  
						$course_occupations=get_option('course_occupations');	
						if($course_occupations==""){$course_occupations=esc_html__('Occupations','ivdirectories');}
					echo esc_html($course_occupations);?></span>
					<span><?php  
						$course_licenses=get_option('course_licenses');	
						if($course_licenses==""){$course_licenses=esc_html__('# of Certificates and Licenses','ivdirectories');}
					echo esc_html($course_licenses);?></span>
				</div>
				<?php
					if ( $terms_allcourse_subcategories && !is_wp_error( $terms_allcourse_subcategories ) ) :
					$i=0; 
					foreach ( $terms_allcourse_subcategories as $term_one ) {
						$args_program1 = array(
						'post_type'  => $directory_url,
						'posts_per_page' => -1,
						$directory_url.'-category'=>$term_one->slug,
						);
						$allprograms1 = new WP_Query( $args_program1 );		
					?>					
					<div class="ws_cat_box ws_cat_box_collapse">
						<p class="ws_cat_box_title">
							<i class="fas fa-caret-right"></i>
							<span class="ws_cat_box_title_name"><?php echo esc_html($term_one->name); ?></span>
							<span class="ws_cat_box_title_quantity" id="top_number_<?php echo $i; ?>"><?php esc_html_e('0 ','ivdirectories'); ?></span>
						</p>
						<?php
							$schoolcount=0;
							if ( $allprograms1->have_posts() ){
								while ( $allprograms1->have_posts() ) : $allprograms1->the_post();
								$course_id = get_the_ID();							
								$args_program = array(
								'post_type'  => $post_set,
								'posts_per_page' => -1,
								'meta_query' => array(	
								'relation' => 'AND',
								array(
								'key'     => 'programid_'.$course_id,
								'value'   => $course_id,
								'compare' => '='
								),
								),	
								);
								$allprograms = new WP_Query( $args_program );
								if ( $allprograms->have_posts() ) : 
								while ( $allprograms->have_posts() ) : $allprograms->the_post();
								$schoolid = get_the_ID();
							?>
							<div class="ws_cat_item">
								<h4 class="ws_cat_item_title"><?php echo get_the_title($course_id);?></h4>
								<div class="ws_cat_item_inside">
									<div class="first_grid">
										<p><?php echo ucfirst(get_post_type($schoolid));  ?>:</p>
										<a href="<?php echo get_the_permalink($schoolid); ?>"><?php echo get_the_title($schoolid);?></a>
									</div>
									<div class="sec_grid">
										<p><?php esc_html_e('Average Rating','ivdirectories'); ?>:</p>
										<p>
											<?php 
											$review_value_total= get_post_meta($schoolid, 'review_value_total', true);
											$review_count_total= get_post_meta($schoolid, 'review_count_total', true);				
											$school_rate=@((int)$review_value_total/(int) $review_count_total);
												
												?>
											<i class="fa fa-star<?php echo($school_rate>=1 ?'':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($school_rate>=2 ?' ':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($school_rate>=3 ?' ':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($school_rate>=4 ?' ':'-o'); ?>"></i>
											<i class="fa fa-star<?php echo($school_rate>=5 ?' ':'-o'); ?>"></i>
										</p>
									</div>
									<div class="third_grid">
										<p><?php esc_html_e('Estimated Costs','ivdirectories'); ?>:</p>
										<p><?php echo get_post_meta($schoolid,'estimated_cost_'.$course_id, true);?></p>
									</div>
								</div>
							</div>													
							<?php	
								$schoolcount++;
								endwhile;
								endif;
								endwhile;
								$top_number[]=$schoolcount;
							}else{ ?>
							<div class="ws_cat_item">
								<h4 class="ws_cat_item_title"><?php esc_html_e('Sorry, no data matched your criteria.','ivdirectories'); ?></h4>
							</div>
							<?php	
								$top_number[]=0;
							}
						?>
					</div>
					<?php
						$i++;
					}
					endif;
				?>
				<div class="ws_cat_box ws_cat_box_collapse">
					<p class="ws_cat_box_title">
						<i class="fas fa-caret-right"></i>
						<span class="ws_cat_box_title_name"><?php esc_html_e('All ','ivdirectories'); ?></span>
						<span class="ws_cat_box_title_quantity" id="top_number_<?php echo $i; ?>"><?php esc_html_e('0 ','ivdirectories'); ?></span>
					</p>
					<?php
						$args_program1 = array(
						'post_type'  => $directory_url,
						'posts_per_page' => -1,
						$directory_url.'-category'=> $main_terms_slug,							
						);
						$allprograms1 = new WP_Query( $args_program1 );	
						$schoolcount_all=0;
						if ( $allprograms1->have_posts() ){
							while ( $allprograms1->have_posts() ) : $allprograms1->the_post();
							$course_id = get_the_ID();							
							$args_program = array(
							'post_type'  => $post_set,
							'posts_per_page' => -1,
							'meta_query' => array(	
							'relation' => 'AND',
							array(
							'key'     => 'programid_'.$course_id,
							'value'   => $course_id,
							'compare' => '='
							),
							),	
							);
							$allprograms = new WP_Query( $args_program );
							if ( $allprograms->have_posts() ) : 
							while ( $allprograms->have_posts() ) : $allprograms->the_post();
							$schoolid = get_the_ID();
						?>
						<div class="ws_cat_item">
							<h4 class="ws_cat_item_title"><?php echo get_the_title($course_id);?></h4>
							<div class="ws_cat_item_inside">
								<div class="first_grid">
									<p><?php echo ucfirst(get_post_type($schoolid));  ?>:</p>
									<a href="<?php echo get_the_permalink($schoolid); ?>"><?php echo get_the_title($schoolid);?></a>
								</div>
								<div class="sec_grid">
									<p><?php esc_html_e('Average Rating','ivdirectories'); ?>:</p>
									<p>
										<?php 
										$review_value_total= get_post_meta($schoolid, 'review_value_total', true);
										$review_count_total= get_post_meta($schoolid, 'review_count_total', true);
				
										$school_rate=@((int)$review_value_total/(int) $review_count_total);
											
											?>
										<i class="fa fa-star<?php echo($school_rate>=1 ?'':'-o'); ?>"></i>
										<i class="fa fa-star<?php echo($school_rate>=2 ?'':'-o'); ?>"></i>
										<i class="fa fa-star<?php echo($school_rate>=3 ?'':'-o'); ?>"></i>
										<i class="fa fa-star<?php echo($school_rate>=4 ?'':'-o'); ?>"></i>
										<i class="fa fa-star<?php echo($school_rate>=5 ?'':'-o'); ?>"></i>
									</p>
								</div>
								<div class="third_grid">
									<p><?php esc_html_e('Estimated Costs','ivdirectories'); ?>:</p>
									<p><?php echo get_post_meta($schoolid,'estimated_cost_'.$course_id, true);?></p>
								</div>
							</div>
						</div>													
						<?php	
							$schoolcount_all++;
							endwhile;
							endif;
							endwhile;
							$top_number[]=$schoolcount_all;		
						}
					?>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
	wp_enqueue_script('iv_directories-archive-accordion', wp_iv_directories_URLPATH . 'admin/files/js/archive_accordion.js');
	wp_localize_script('iv_directories-archive-accordion', 'dirpro_data', array(
	'top_number'=>$top_number,
	) );
	wp_enqueue_script('epdirpro-ar-script-289', wp_iv_directories_URLPATH . 'admin/files/js/archive-listing.js');
?>	