<?php
	wp_enqueue_style('bootstrap-iv_directories-110', wp_iv_directories_URLPATH . 'admin/files/css/iv-bootstrap-4.css');
	wp_enqueue_style('iv_directories-wilson', wp_iv_directories_URLPATH . 'admin/files/css/listing_tags.css');
	wp_enqueue_style('iv_directories-fontawesome5', wp_iv_directories_URLPATH . 'admin/files/css/fontawesome-5/css/all.min.css');
	wp_enqueue_style('iv_directories-style-111', wp_iv_directories_URLPATH . 'admin/files/css/styles.css');
	global $post,$wpdb,$tag;
	$directory_url = get_post_type();
	if(isset($atts['post_type'])){
		$directory_url =  strtolower($atts['post_type']);
	}
	$post_limit='9999';
	if(isset($atts['post_limit']) and $atts['post_limit']!="" ){
		$post_limit=$atts['post_limit'];
	}
	$postcats_arr=array();
	if(isset($atts['slugs'])){
		$postcats = $atts['slugs'];
		$postcats_arr=explode(',',$postcats);
	}
?>
<section id="destination" class="background-transparent">
	<section class="bootstrap-wrapper background-transparent">
		<div class="container dynamic-bg">
			<div class="row">
				<div class="col-md-12">
					<h4 class="ws_listing_tag_header"><?php  
						$course_title=get_option('course_title');	
						if($course_title==""){$course_title=esc_html__('Career Search','ivdirectories');}
						echo esc_html($course_title);?></h4>
					<div class="ws_divider"></div>
				</div>
			</div>
			<div class="row mt-5 cities-sec-row">
				<?php
					$taxonomy = $directory_url.'-category';
					$args = array(
					'orderby'           => 'name',
					'order'             => 'ASC',
					'hide_empty'        => true,
					'parent'			 => 0,
					'exclude'           => array(),
					'exclude_tree'      => array(),
					'include'           => array(),
					'number'            => $post_limit,
					'fields'            => 'all',
					'slug'              => $postcats_arr,
					'hierarchical'      => true,
					'parent' 			=> 0,
					'child_of'          => 0,
					'childless'         => false,
					'show_count'        => '1',
					);

					$terms = get_terms($taxonomy,$args); // Get all terms of a taxonomy
					if ( $terms && !is_wp_error( $terms ) ) :
					$i=0;
					foreach ( $terms as $term_parent ) {


							$feature_img_id = get_option('_cate_main_image_'.$term_parent->term_id);
							$feature_img='';
							$feature_image = wp_get_attachment_image_src( $feature_img_id, 'large' );
							if(isset($feature_image[0]) AND $feature_image[0]!=""){
								$feature_img=$feature_image[0];
								$feature_img_width=$feature_image[1];
								$feature_img_height=$feature_image[2];
							}
							if($feature_img==""){
								$feature_img=wp_iv_directories_URLPATH."/assets/images/aeroplane.png";
							}

							 $cat_link= get_term_link($term_parent->term_id , $directory_url.'-category');
						?>
 
						<!-- NEW STYLES OF LISTING TAGS -->
						<div class="col-md-6 col-lg-3 mb-5" id="ws_tags_container">
							<a href="<?php echo esc_url($cat_link); ?>">
								<img src="<?php echo esc_url($feature_img);?>" alt="aeroplane">
								<!-- <i class="fas fa-truck-moving"></i> -->
								<p class="ws_tag_title"><?php echo esc_html($term_parent->name); ?></p>
								<div class="bottom_divider"></div>
								<p class="ws_tag_desc">
								<?php
								$str=$term_parent->description;
								if (strlen($term_parent->description) > 200){
									$str = substr($term_parent->description, 0, 199) . '...';
								}
								echo esc_html($str);
								?>
								</p>
							</a>
						</div>
						<!-- END OF NEW STYLES OF LISTING TAGS -->
						<?php
						
					}
					endif;
				?>
			</div>
		</div>
	</section>
</section>
