<div class="profile-content">
	<span class="caption-subject"> <?php esc_html_e('New Course','ivdirectories'); ?></span>
	<hr>
	<div class="portlet-body">
		<?php
			global $wpdb;
			// Check Max\
			$max=999999;
			
			$default_post_type = array();				
			$default_fields['courses']='Courses';
			
			foreach($default_fields as $key => $value)
			{
				$postkey[] = $key;
			}
			$post_type = join("','",$postkey);
			$sql=$wpdb->prepare("SELECT count(*) as total FROM $wpdb->posts WHERE post_type IN ('%s' )  and post_author='%s' ", $post_type, $current_user->ID);
			$all_post = $wpdb->get_row($sql);
			$my_post_count=$all_post->total;
			if ( $my_post_count>=$max or !current_user_can('edit_posts') )  {
				$iv_redirect = get_option( '_iv_directories_profile_page');
				$reg_page= get_permalink( $iv_redirect);
			?>
			<?php esc_html_e('Please Upgrade Your Account','ivdirectories'); ?>
			<a href="<?php echo esc_url($reg_page).'?&profile=level'; ?>" title="Upgarde"><b><?php esc_html_e('Here','ivdirectories'); ?> </b></a>
			<?php esc_html_e('To Add More Post.','ivdirectories'); ?>
			<?php
				}else{
			?>
			<div class="row">
				<div class="col-md-12">
					<form action="" id="new_post" name="new_post"  method="POST" role="form">
						<div class=" form-group">
							<label for="text" class=" control-label"><?php esc_html_e('Listing Type','ivdirectories'); ?></label>
							<div class="">
								<?php
									$cpt = array();
									$cpt['courses']='Courses';
									
									$i=1;$old_select='';
									echo "<select id='cpt_page' name='cpt_page' class='form-control'>";
									foreach ( $cpt as $field_key => $field_value ) {
										echo "<option value='{$field_key}' ".($old_select==$field_key ? 'selected':'').">{$field_value}</option>";
									}
									echo "</select>";
								?>
							</div>
						</div>
						<div class=" form-group">
							<label for="text" class=" control-label"><?php esc_html_e('Name/Title','ivdirectories'); ?></label>
							<div class="  ">
								<input type="text" class="form-control-solid" name="title" id="title" value="" placeholder="<?php esc_html_e('Enter Name Here','ivdirectories'); ?>">
							</div>
						</div>
						<div class="form-group">
							<div class=" ">
								<?php
									$settings_a = array(
									'textarea_rows' =>8,
									'editor_class' => 'form-control-solid'
									);
									$editor_id = 'new_post_content';
									wp_editor( '', $editor_id,$settings_a );
								?>
							</div>
						</div>
						
						<div class=" row form-group ">
							<label for="text" class=" col-md-5 control-label"><?php esc_html_e('Feature Image','ivdirectories'); ?>  </label>
							<div class="col-md-4" id="post_image_div">
								<a  href="javascript:void(0);" onclick="edit_post_image('post_image_div');"  >
									<?php  echo '<img width="100px" src="'. wp_iv_directories_URLPATH.'assets/images/image-add-icon.png">'; ?>
								</a>
							</div>
							<input type="hidden" name="feature_image_id" id="feature_image_id" value="">
							<div class="col-md-3" id="post_image_edit">
								<button type="button" onclick="edit_post_image('post_image_div');"  class="btn btn-xs green-haze"><?php esc_html_e('Add','ivdirectories'); ?> </button>
							</div>
						</div>
						
						<div class="clearfix"></div>
						<div class=" row form-group ">
							<label for="text" class=" col-md-12 control-label"><?php esc_html_e('Post Status','ivdirectories'); ?>  </label>
							<div class="col-md-12" id="">
								<select name="post_status" id="post_status"  class="form-control-solid">
									<?php
										$dir_approve_publish =get_option('_dir_approve_publish');
										if($dir_approve_publish!='yes'){?>
										<option value="publish"><?php esc_html_e('Publish','ivdirectories'); ?></option>
										<?php
											}else{
											if(isset($current_user->roles[0]) and $current_user->roles[0]=='administrator'){?>
											<option value="publish"><?php esc_html_e('Publish','ivdirectories'); ?></option>
											<?php
											}
										?>
										<option value="pending"><?php esc_html_e('Pending Review','ivdirectories'); ?></option>
										<?php
										}
									?>
									<option value="draft"><?php esc_html_e('Draft','ivdirectories'); ?></option>
								</select>
							</div>
						</div>
						<div class="clearfix"></div>
						<div class=" row form-group">
							<label for="text" class=" col-md-12 control-label"><?php esc_html_e('Category','ivdirectories'); ?></label>
							<div class=" col-md-12 " id="select_cpt">
								<?php
									$selected='';
									foreach ( $cpt as $field_key => $field_value ) {
										echo '<select name="postcats[]" class="form-control-solid " multiple="multiple" size="8">';
										echo'	<option selected="'.esc_html($selected).'" value="">'.esc_html__('Choose a category','ivdirectories').'</option>';
										$selected='';
										if( isset($_POST['submit'])){
											$selected = $_POST['postcats'];
										}
										//directories
										$taxonomy = $field_key.'-category';
										$args = array(
										'orderby'           => 'name',
										'order'             => 'ASC',
										'hide_empty'        => false,
										'exclude'           => array(),
										'exclude_tree'      => array(),
										'include'           => array(),
										'number'            => '',
										'fields'            => 'all',
										'slug'              => '',
										'parent'            => '0',
										'hierarchical'      => true,
										'child_of'          => 0,
										'childless'         => false,
										'get'               => '',
										);
										$terms = get_terms($taxonomy,$args); // Get all terms of a taxonomy
										if ( $terms && !is_wp_error( $terms ) ) :
										$i=0;
										foreach ( $terms as $term_parent ) {  ?>
										<?php
											echo '<option  value="'.esc_html($term_parent->slug).'" '.($selected==$term_parent->slug?'selected':'' ).'><strong>'.esc_html($term_parent->name).'<strong></option>';
										?>
										<?php
											$args2 = array(
											'type'                     => $field_key,
											'parent'                   => $term_parent->term_id,
											'orderby'                  => 'name',
											'order'                    => 'ASC',
											'hide_empty'               => 0,
											'hierarchical'             => 1,
											'exclude'                  => '',
											'include'                  => '',
											'number'                   => '',
											'taxonomy'                 => $field_key.'-category',
											'pad_counts'               => false
											);
											$categories = get_categories( $args2 );
											if ( $categories && !is_wp_error( $categories ) ) :
											foreach ( $categories as $term ) {
												echo '<option  value="'.esc_html($term->slug).'" '.($selected==$term->slug?'selected':'' ).'>--'.esc_html($term->name).'</option>';
											}
											endif;
											$i++;
										}
										endif;
										echo '</select>';
										break;
									}
								?>
							</div>
						</div>
						<div class=" form-group row">
							<div class="col-md-12 ">
								<label for="text" class=" control-label  "><?php esc_html_e('Estimated Costs','ivdirectories'); ?></label>
								<input type="text" class="form-control col-md-8 " name="estimated_cost" id="estimated_cost"  value="" placeholder="<?php esc_html_e('Enter Estimated Costs Here','ivdirectories'); ?>">
							</div>
							
						</div>
						<div class=" form-group row">
							<div class="col-md-12 ">
								<label for="text" class=" control-label  "><?php esc_html_e('Program Type','ivdirectories'); ?></label>
								<input type="text" class="form-control col-md-8 " name="program_type" id="program_type"  value="" placeholder="<?php esc_html_e('Enter Program Type Here','ivdirectories'); ?>">
							</div>
							
						</div>
							
							<div class="margiv-top-10">
								<div class="" id="update_message"></div>
								<input type="hidden" name="user_post_id" id="user_post_id" value="">
								<button type="button" onclick="iv_save_course();"  class="btn green-haze"><?php esc_html_e('Save Post','ivdirectories'); ?></button>
							</div>
							</form>
						</div>
					</div>
					<?php
					} // for Role
				?>
			</div>
	
</div>
<!-- END PROFILE CONTENT -->
<?php
		$my_theme = wp_get_theme();
		$theme_name= strtolower($my_theme->get( 'Name' ));
		wp_enqueue_script('iv_directories-ar-script-27', wp_iv_directories_URLPATH . 'admin/files/js/add-edit-listing.js');
		wp_localize_script('iv_directories-ar-script-27', 'dirpro_data', array(
		'ajaxurl' 			=> admin_url( 'admin-ajax.php' ),
		'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
		'current_user_id'	=>get_current_user_id(),
		'image10'	=>esc_html__('image','ivdirectories'),
		'myaccount'=> wp_create_nonce("myaccount"),
		'permalink'=> get_permalink(),
		'wp_iv_directories_URLPATH'=> wp_iv_directories_URLPATH,
		'theme_name'				=> $theme_name,
		) );
		
		
?>
