<?php
	global $wpdb;
	global $current_user;
?>
<div class="bootstrap-wrapper">
	<div class="welcome-panel container-fluid">
		<div class="row">
			<div class="col-md-12"><h3 class="page-header"><?php esc_html_e('Listing Fields','ivdirectories'); ?>  <br /><small> &nbsp;</small> </h3>
			</div>
		</div>
		
		<div class="panel panel-info">
			<div class="panel-heading"><h4>
				<?php esc_html_e('listing Fields', 'ivdirectories' ); ?>
			</h4></div>
			<div class="panel-body">
				<form id="dir_fields" name="dir_fields" class="form-horizontal" role="form" onsubmit="return false;">
					<div class="row ">
						<div class="col-sm-3 "><h4>
							<?php esc_html_e('Speciality(s) listing :', 'ivdirectories' ); ?>
						</h4>
						</div>
						<?php
							$Specialities ='Amazing Compass,Library,Residential Hostel,Industry focus learning,Flexible learning,Knowledge transfer,Teaching skills';
							$field_set=get_option('iv_listing_Specialities' );
							if($field_set!=""){
								$Specialities=get_option('iv_listing_Specialities' );
							}
						?>
						<div class="col-sm-9 ">	<textarea class="col-sm-9 " name="Specialities" id="Specialities"   ><?php echo esc_html($Specialities); ?> </textarea>
						</div>
					</div>
					<br/><br/>
					<div class="row ">
						<div class="col-sm-5 ">
							<h4>
								<?php esc_html_e('Post Meta Name', 'ivdirectories' ); ?>
							</h4>
						</div>
						<div class="col-sm-5">
							<h4>
								<?php esc_html_e('Display Label', 'ivdirectories' ); ?>
							</h4>
						</div>
						<div class="col-sm-2">
							<h4>
								<?php esc_html_e('Action', 'ivdirectories' ); ?>
							</h4>
						</div>
					</div>
					<div id="custom_field_dir_div">
						<?php
							$default_fields = array();
							$field_set=get_option('iv_directories_fields' );
							if($field_set!=""){
								$default_fields=get_option('iv_directories_fields' );
								}else{
								$default_fields['Totalenrollment']='Total enrollment';
								$default_fields['Undergraduate_graduate_ratio']='Undergraduate/graduate ratio ';
								$default_fields['No_of_international_students']='No. of international students ';
								$default_fields['pers_of international_students']=' % of international students';
								$default_fields['no_of_faculty']='No. of faculty';
								$default_fields['Student_faculty_ratio']='Student faculty ratio';
								$default_fields['no_of_staff']='No. of staff';
								$default_fields['Annual_revenue ']='Annual revenue';
							}
							$dir=1;
							foreach ( $default_fields as $field_key => $field_value ) {
								echo '<div class="row form-group " id="field_dir'.$dir.'"><div class=" col-sm-5"> <input type="text" class="form-control" name="meta_name[]" id="meta_name[]" value="'.$field_key . '" placeholder="Enter Post Meta Name "> </div>
								<div  class=" col-sm-5">
								<input type="text" class="form-control" name="meta_label[]" id="meta_label[]" value="'.$field_value . '" placeholder="Enter Post Meta Label">
								</div>
								<div  class=" col-sm-2">';
							?>
							<button class="btn btn-danger btn-xs" onclick="return iv_remove_dir_field('<?php echo esc_html($dir); ?>');"><?php esc_html_e('Delete', 'ivdirectories' ); ?></button>
							<?php
								echo '</div></div>';
								$dir++;
							}
						?>
					</div>
					<div class="col-xs-12">
						<button class="btn btn-warning btn-xs" onclick="return iv_add_dir_field();"><?php esc_html_e('Add More', 'ivdirectories' ); ?></button>
					</div>
					<input type="hidden" name="dir_name" id="dir_name" value="<?php echo esc_html($main_category); ?>">
				</form>
				<div class="col-xs-12">
					<div align="center">
						<div id="loading_3"></div>
						<div id="success_message_3"></div>
						<button class="btn btn-info btn-lg" onclick="return update_dir_fields();"><?php esc_html_e('Update', 'ivdirectories' ); ?> </button>
					</div>
					<p>&nbsp;</p>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
wp_enqueue_script('iv_directories-script-dir-fields', wp_iv_directories_URLPATH . 'admin/files/js/dir_fileds.js');
wp_localize_script('iv_directories-script-dir-fields', 'dirdata', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),
	'i'=> 	esc_html($dir),	
	'settingnonce'=> wp_create_nonce("settings"),
	'loading_image'		=> '<img src="'.wp_iv_directories_URLPATH.'admin/files/images/loader.gif">',
	
) );
?>
